# -*- coding: utf-8 -*-

# -- currencies.py
# Defines the codes of the different currencies

# Copyright © 2010 Eric Bourry & Julien Flaissy

# This file is part of PSSI (Python Simple Smartcard Interpreter).

# PSSI is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# PSSI is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with PSSI.  If not, see <http://www.gnu.org/licenses/>



currencyCodes = {
    784: "United Arab Emirates dirham",
    971: "Afghan afghani",
    8: "Albanian lek",
    51: "Armenian dram",
    532: "Netherlands Antillean guilder",
    973: "Angolan kwanza",
    32: "Argentine peso",
    36: "Australian dollar",
    533: "Aruban guilder",
    944: "Azerbaijani manat",
    977: "Bosnia and Herzegovina konvertibilna marka",
    52: "Barbados dollar",
    50: "Bangladeshi taka",
    975: "Bulgarian lev",
    48: "Bahraini dinar",
    108: "Burundian franc",
    60: "Bermudian dollar (customarily known as Bermuda dollar)",
    96: "Brunei dollar",
    68: "Boliviano",
    984: "Bolivian Mvdol (funds code)",
    986: "Brazilian real",
    44: "Bahamian dollar",
    64: "Bhutanese ngultrum",
    72: "Botswana pula",
    974: "Belarusian ruble",
    84: "Belize dollar",
    124: "Canadian dollar",
    976: "Congolese franc",
    947: "WIR Bank (complementary currency)",
    756: "Swiss franc",
    948: "WIR Bank (complementary currency)",
    990: "Unidad de Fomento (funds code)",
    152: "Chilean peso",
    156: "Chinese yuan",
    170: "Colombian peso",
    970: "Unidad de Valor Real",
    188: "Costa Rican colon",
    931: "Cuban convertible peso",
    192: "Cuban peso",
    132: "Cape Verde escudo",
    203: "Czech koruna",
    262: "Djiboutian franc",
    208: "Danish krone",
    214: "Dominican peso",
    12: "Algerian dinar",
    233: "Estonian kroon",
    818: "Egyptian pound",
    232: "Eritrean nakfa",
    230: "Ethiopian birr",
    978: "Euro",
    242: "Fiji dollar",
    238: "Falkland Islands pound",
    826: "Pound sterling",
    981: "Georgian lari",
    936: "Ghanaian cedi",
    292: "Gibraltar pound",
    270: "Gambian dalasi",
    324: "Guinean franc",
    320: "Guatemalan quetzal",
    328: "Guyanese dollar",
    344: "Hong Kong dollar",
    340: "Honduran lempira",
    191: "Croatian kuna",
    332: "Haitian gourde",
    348: "Hungarian forint",
    360: "Indonesian rupiah",
    376: "Israeli new sheqel",
    356: "Indian rupee",
    368: "Iraqi dinar",
    364: "Iranian rial",
    352: "Icelandic kr√≥na",
    388: "Jamaican dollar",
    400: "Jordanian dinar",
    392: "Japanese yen",
    404: "Kenyan shilling",
    417: "Kyrgyzstani som",
    116: "Cambodian riel",
    174: "Comoro franc",
    408: "North Korean won",
    410: "South Korean won",
    414: "Kuwaiti dinar",
    136: "Cayman Islands dollar",
    398: "Kazakhstani tenge",
    418: "Lao kip",
    422: "Lebanese pound",
    144: "Sri Lanka rupee",
    430: "Liberian dollar",
    426: "Lesotho loti",
    440: "Lithuanian litas",
    428: "Latvian lats",
    434: "Libyan dinar",
    504: "Moroccan dirham",
    498: "Moldovan leu",
    969: "Malagasy ariary",
    807: "Macedonian denar",
    104: "Myanma kyat",
    496: "Mongolian tugrik",
    446: "Macanese pataca",
    478: "Mauritanian ouguiya",
    480: "Mauritian rupee",
    462: "Maldivian rufiyaa",
    454: "Malawian kwacha",
    484: "Mexican peso",
    979: "Mexican Unidad de Inversion (UDI) (funds code)",
    458: "Malaysian ringgit",
    943: "Mozambican metical",
    516: "Namibian dollar",
    566: "Nigerian naira",
    558: "Cordoba oro",
    578: "Norwegian krone",
    524: "Nepalese rupee",
    554: "New Zealand dollar",
    512: "Omani rial",
    590: "Panamanian balboa",
    604: "Peruvian nuevo sol",
    598: "Papua New Guinean kina",
    608: "Philippine peso",
    586: "Pakistani rupee",
    985: "Polish z≈Çoty",
    600: "Paraguayan guaran√≠",
    634: "Qatari rial",
    946: "Romanian new leu",
    941: "Serbian dinar",
    643: "Russian rouble",
    646: "Rwandan franc",
    682: "Saudi riyal",
    90: "Solomon Islands dollar",
    690: "Seychelles rupee",
    938: "Sudanese pound",
    752: "Swedish krona/kronor",
    702: "Singapore dollar",
    654: "Saint Helena pound",
    694: "Sierra Leonean leone",
    706: "Somali shilling",
    968: "Surinamese dollar",
    678: "S√£o Tom√© and Pr√≠ncipe dobra",
    760: "Syrian pound",
    748: "Lilangeni",
    764: "Thai baht",
    972: "Tajikistani somoni",
    934: "Turkmenistani manat",
    788: "Tunisian dinar",
    776: "Tongan pa ªanga",
    949: "Turkish lira",
    780: "Trinidad and Tobago dollar",
    901: "New Taiwan dollar",
    834: "Tanzanian shilling",
    980: "Ukrainian hryvnia",
    800: "Ugandan shilling",
    840: "United States dollar",
    997: "United States dollar (next day) (funds code)",
    998: "United States dollar (same day) (funds code) (one source[who?] claims it is no longer used, but it is still on the ISO 4217-MA list)",
    858: "Uruguayan peso",
    860: "Uzbekistan som",
    937: "Venezuelan bol√≠var fuerte",
    704: "Vietnamese ƒë·ªìng",
    548: "Vanuatu vatu",
    882: "Samoan tala",
    950: "CFA franc BEAC",
    961: "Silver (one troy ounce)",
    959: "Gold (one troy ounce)",
    955: "European Composite Unit (EURCO) (bond market unit)",
    956: "European Monetary Unit (E.M.U.-6) (bond market unit)",
    957: "European Unit of Account 9 (E.U.A.-9) (bond market unit)",
    958: "European Unit of Account 17 (E.U.A.-17) (bond market unit)",
    951: "East Caribbean dollar",
    960: "Special Drawing Rights",
    952: "CFA Franc BCEAO",
    964: "Palladium (one troy ounce)",
    953: "CFP franc",
    962: "Platinum (one troy ounce)",
    963: "Code reserved for testing purposes",
    999: "No currency",
    886: "Yemeni rial",
    710: "South African rand",
    894: "Zambian kwacha",
    932: "Zimbabwe dollar",

    # Obsolete currency codes
    020: "Andorran peseta (1:1 peg to the Spanish peseta)",
    040: "Austrian schilling",
    056: "Belgian franc (currency union with LUF)",
    196: "Cypriot pound",
    276: "German mark",
    724: "Spanish peseta",
    246: "Finnish markka",
    250: "French franc",
    300: "Greek drachma",
    372: "Irish pound (punt in Irish language)",
    380: "Italian lira",
    442: "Luxembourg franc (currency union with BEF)",
    470: "Maltese lira",
    528: "Netherlands guilder",
    620: "Portuguese escudo",
    705: "Slovenian tolar",
    703: "Slovak koruna",
    954: "European Currency Unit (1 XEU = 1 EUR)",
    004: "Afghan afghani",
    024: "Angolan new kwanza",
    982: "Angolan kwanza readjustado",
    031: "Azerbaijani manat",
    100: "Bulgarian lev A/99",
    891: "Serbian dinar",
    200: "Czechoslovak koruna",
    278: "East German Mark of the GDR (East Germany)",
    218: "Ecuadorian sucre",
    983: "Ecuador Unidad de Valor Constante (funds code) (discontinued)",
    996: "Spanish peseta (account A)",
    995: "Spanish peseta (account B)",
    288: "Ghanaian cedi",
    624: "Guinea-Bissau peso",
    450: "Malagasy franc",
    508: "Mozambican metical",
    616: "Polish zloty A/94",
    642: "Romanian leu A/05",
    810: "Russian rouble A/97",
    736: "Sudanese dinar",
    740: "Suriname guilder",
    222: "Salvadoran colón",
    762: "Tajikistani ruble",
    795: "Turkmenistani manat",
    792: "Turkish lira A/05",
    804: "Ukrainian karbovanets",
    862: "Venezuelan bolívar",
    720: "South Yemeni dinar",
    891: "Yugoslav dinar",
    991: "South African financial rand (funds code) (discontinued)",
    180: "Zaïrean new zaïre",
    716: "Zimbabwean dollar A/06",
    942: "Zimbabwean dollar A/08",
    935: "Zimbabwean dollar A/09"
    }
