# -*- coding: utf-8 -*-

# -- stations.py
# Defines the different stations


# Copyright © 2010 Eric Bourry & Julien Flaissy

# This file is part of PSSI (Python Simple Smartcard Interpreter).

# PSSI is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# PSSI is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with PSSI.  If not, see <http://www.gnu.org/licenses/>



metroStations = {
    "01-01": ["SAINT-MICHEL"],
    "01-04": ["ODEON"],
    "01-05": ["CLUNY-LA-SORBONNE"],
    "01-06": ["MAUBERT-MUTUALITE"],
    "01-07": ["LUXEMBOURG"],
    "01-08": ["CHATELET"],
    "01-09": ["HALLES (LES)"],
    "01-10": ["Châtelet - Les Halles RER A (Ligne de contrôle séparant le RER et le métro et entrées et sorties  de la station)"],
    "01-11": ["Châtelet - Les Halles RER A (Ligne de contrôle séparant le RER et le métro)"],
    "01-12": ["LOUVRE"],
    "01-13": ["PONT NEUF"],
    "01-14": ["CITE"],
    "01-15": ["HOTEL DE VILLE"],
    "02-02": ["CAMBRONNE"],
    "02-03": ["SEVRES-LECOURBE"],
    "02-04": ["SEGUR"],
    "02-06": ["SAINT-FRANCOIS-XAVIER"],
    "02-07": ["DUROC"],
    "02-08": ["VANEAU"],
    "02-09": ["SEVRES-BABYLONE"],
    "02-10": ["RUE DU BAC"],
    "02-11": ["RENNES"],
    "02-12": ["SAINT-SULPICE"],
    "02-14": ["MABILLON"],
    "02-15": ["SAINT-GERMAIN-DES-PRES"],
    "03-00": ["ST-MICHEL-NOTRE-DAME - c. RER B/métro (Ligne 10)"],
    "03-01": ["ST-MICHEL-NOTRE-DAME - c. métro/RER B (Ligne 10) et entrée normale"],
    "03-04": ["PORTE DE LA VILLETTE"],
    "03-05": ["AUBERVILLIERS-PANTIN-4 CHEMINS"],
    "03-06": ["FORT D'AUBERVILLIERS"],
    "03-07": ["COURNEUVE - 8"],
    "03-09": ["HOCHE"],
    "03-10": ["EGLISE DE PANTIN"],
    "03-11": ["BOBIGNY-PANTIN-RAYMOND QUENEAU"],
    "03-12": ["BOBIGNY-PABLO PICASSO"],
    "04-02": ["PERNETY"],
    "04-03": ["PLAISANCE"],
    "04-04": ["GAITE"],
    "04-06": ["EDGAR QUINET"],
    "04-07": ["VAVIN"],
    "04-08": ["MONTPARNASSE-BIENVENUE"],
    "04-12": ["SAINT-PLACIDE"],
    "04-14": ["NOTRE-DAME-DES-CHAMPS"],
    "05-02": ["ROBESPIERRE"],
    "05-03": ["PORTE DE MONTREUIL"],
    "05-04": ["MARAICHERS"],
    "05-05": ["BUZENVAL"],
    "05-06": ["RUE DES BOULETS"],
    "05-07": ["PORTE DE VINCENNES"],
    "05-09": ["PICPUS"],
    "05-10": ["NATION (métro)"],
    "05-12": ["AVRON"],
    "05-13": ["ALEXANDRE DUMAS"],
    "06-01": ["MALESHERBES"],
    "06-02": ["MONCEAU"],
    "06-03": ["VILLIERS"],
    "06-04": ["QUATRE SEPTEMBRE"],
    "06-05": ["OPERA"],
    "06-06": ["AUBER"],
    "06-07": ["HAVRE-CAUMARTIN"],
    "06-08": ["SAINT-LAZARE"],
    "06-09": ["SAINT-LAZARE"],
    "06-10": ["SAINT-AUGUSTIN"],
    "06-12": ["EUROPE"],
    "06-13": ["LIEGE"],
    "07-03": ["PORTE DE SAINT-CLOUD"],
    "07-07": ["PORTE D'AUTEUIL"],
    "07-08": ["EGLISE D'AUTEUIL"],
    "07-09": ["MICHEL-ANGE-AUTEUIL"],
    "07-10": ["MICHEL-ANGE-MOLITOR"],
    "07-11": ["CHARDON-LAGACHE"],
    "07-12": ["MIRABEAU"],
    "07-14": ["EXELMANS"],
    "07-15": ["JASMIN"],
    "08-01": ["RAMBUTEAU"],
    "08-03": ["ARTS ET METIERS"],
    "08-04": ["JACQUES BONSERGENT"],
    "08-05": ["GONCOURT"],
    "08-06": ["TEMPLE"],
    "08-07": ["REPUBLIQUE"],
    "08-10": ["OBERKAMPF"],
    "08-11": ["PARMENTIER"],
    "08-12": ["FILLES DU CALVAIRE"],
    "08-13": ["SAINT-SEBASTIEN-FROISSART"],
    "08-14": ["RICHARD-LENOIR"],
    "08-15": ["SAINT-AMBROISE"],
    "09-01": ["QUAI DE LA GARE"],
    "09-02": ["CHEVALERET"],
    "09-04": ["SAINT-MARCEL"],
    "09-07": ["GARE D'AUSTERLITZ"],
    "09-08": ["GARE DE LYON Métro L. 1"],
    "09-10": ["QUAI DE LA RAPEE"],
    "09-13": ["GARE DE LYON - entrée et sortie RER A et correspondances"],
    "09-14": ["GARE DE LYON Métro L. 14 et RER A correspondance RER/métro"],
    "10-01": ["CHAMPS-ELYSEES-CLEMENCEAU"],
    "10-02": ["CONCORDE"],
    "10-03": ["MADELEINE"],
    "10-04": ["BIR-HAKEIM"],
    "10-07": ["ECOLE MILITAIRE"],
    "10-08": ["TOUR MAUBOURG"],
    "10-09": ["INVALIDES métro"],
    "10-10": ["INVALIDES – correspondance Métro/RER C"],
    "10-11": ["INVALIDES – correspondance RER/Métro C"],
    "10-11": ["SAINT-DENIS UNIVERSITE"],
    "10-12": ["VARENNE"],
    "10-13": ["ASSEMBLEE NATIONALE"],
    "10-14": ["SOLFERINO"],
    "11-01": ["TUILERIES"],
    "11-02": ["PALAIS-ROYAL-MUSEE DU LOUVRE"],
    "11-03": ["PYRAMIDES"],
    "11-04": ["BOURSE"],
    "11-06": ["RUE MONTMARTRE"],
    "11-07": ["RICHELIEU-DROUOT"],
    "11-08": ["BONNE NOUVELLE"],
    "11-10": ["STRASBOURG-SAINT-DENIS"],
    "11-11": ["CHATEAU D'EAU"],
    "11-13": ["SENTIER"],
    "11-14": ["REAUMUR-SEBASTOPOL"],
    "11-15": ["ETIENNE MARCEL"],
    "12-01": ["FAIDHERBE-CHALIGNY"],
    "12-02": ["REUILLY-DIDEROT"],
    "12-03": ["MONTGALLET"],
    "12-04": ["CENSIER-DAUBENTON"],
    "12-05": ["PLACE MONGE"],
    "12-06": ["CARDINAL LEMOINE"],
    "12-07": ["JUSSIEU"],
    "12-08": ["SULLY-MORLAND"],
    "12-09": ["PONT MARIE"],
    "12-10": ["SAINT-PAUL"],
    "12-12": ["BASTILLE"],
    "12-13": ["CHEMIN VERT"],
    "12-14": ["BREGUET-SABIN"],
    "12-15": ["LEDRU-ROLLIN"],
    "13-01": ["PORTE DOREE"],
    "13-03": ["PORTE DE CHARENTON"],
    "13-07": ["BERCY"],
    "13-08": ["DUGOMMIER"],
    "13-10": ["MICHEL BIZOT"],
    "13-11": ["DAUMESNIL"],
    "13-12": ["BEL-AIR"],
    "14-02": ["PORTE DE CHOISY"],
    "14-03": ["PORTE D'ITALIE"],
    "14-04": ["CITE UNIVERSITAIRE"],
    "14-09": ["MAISON BLANCHE"],
    "14-10": ["TOLBIAC"],
    "14-11": ["NATIONALE"],
    "14-12": ["CAMPO-FORMIO"],
    "14-13": ["GOBELINS (LES)"],
    "14-14": ["PLACE D'ITALIE"],
    "14-15": ["CORVISART"],
    "15-01": ["COUR SAINT EMILION"],
    "15-02": ["PORTE D'ORLEANS"],
    "15-03": ["BIBLIOTHEQUE FRANCOIS MITTERRAND"],
    "15-04": ["MOUTON-DUVERNET"],
    "15-05": ["ALESIA"],
    "15-06": ["OLYMPIADES"],
    "15-08": ["GLACIERE"],
    "15-09": ["SAINT-JACQUES"],
    "15-10": ["RASPAIL"],
    "15-12": ["PORT ROYAL"],
    "15-13": ["DENFERT-ROCHEREAU RER B correspondance métro-RER et entrée/sortie normale"],
    "15-14": ["DENFERT-ROCHEREAU métro"],
    "15-15": ["Denfert Rochereau RER B correspondance métro/RER"],
    "16-01": ["FALGUIERE"],
    "16-02": ["PASTEUR"],
    "16-03": ["VOLONTAIRES"],
    "16-04": ["VAUGIRARD"],
    "16-05": ["CONVENTION"],
    "16-06": ["PORTE DE VERSAILLES"],
    "16-09": ["BALARD"],
    "16-10": ["LOURMEL"],
    "16-11": ["BOUCICAUT"],
    "16-12": ["FELIX"],
    "16-13": ["CHARLES MICHELS"],
    "16-14": ["JAVEL-ANDRE CITROEN"],
    "17-01": ["Charles de Gaulle - Etoile RER"],
    "17-02": ["PORTE DAUPHINE"],
    "17-04": ["MOTTE-PICQUET-GRENELLE (LA)"],
    "17-05": ["COMMERCE"],
    "17-06": ["AVENUE EMILE ZOLA"],
    "17-07": ["DUPLEIX"],
    "17-08": ["PASSY"],
    "17-09": ["RANELAGH"],
    "17-11": ["MUETTE (LA)"],
    "17-13": ["RUE"],
    "17-14": ["BOISSIERE"],
    "17-15": ["TROCADERO"],
    "18-01": ["IENA"],
    "18-03": ["ALMA-MARCEAU"],
    "18-04": ["MIROMESNIL"],
    "18-05": ["SAINT-PHILIPPE-DU-ROULE"],
    "18-07": ["FRANKLIN-D-ROOSEVELT"],
    "18-08": ["GEORGE V"],
    "18-09": ["KLEBER"],
    "18-10": ["VICTOR HUGO"],
    "18-11": ["ARGENTINE"],
    "18-12": ["CHARLES DE GAULLE-ETOILE"],
    "18-14": ["TERNES"],
    "18-15": ["COURCELLES"],
    "19-01": ["MAIRIE DE CLICHY"],
    "19-02": ["ASNIERES GENNEVILLIERS GABRIEL PERI"],
    "19-03": ["ASNIERES GENNEVILLIERS LES AGNETTES"],
    "19-04": ["ASNIERES GENNEVILLIERS LES COURTILLES"],
    "19-09": ["GARE DU NORD (Accès par La Chapelle) entrée/sortie"],
    "19-10": ["GARIBALDI"],
    "19-11": ["MAIRIE DE SAINT-OUEN"],
    "19-13": ["CARREFOUR PLEYEL"],
    "19-14": ["SAINT-DENIS PORTE DE PARIS"],
    "19-15": ["SAINT-DENIS-BASILIQUE"],
    "20-01": ["PORTE DE CLIGNANCOURT"],
    "20-06": ["PORTE DE LA CHAPELLE"],
    "20-07": ["MAX DORMOY"],
    "20-09": ["MARCADET-POISSONNIERS"],
    "20-10": ["SIMPLON"],
    "20-11": ["JULES JOFFRIN"],
    "20-12": ["LAMARCK-CAULAINCOURT"],
    "21-01": ["CHAUSSEE D'ANTIN"],
    "21-02": ["PELETIER (LE)"],
    "21-03": ["CADET"],
    "21-04": ["CHATEAU-ROUGE"],
    "21-07": ["BARBES-ROCHECHOUART"],
    "21-08": ["GARE DU NORD"],
    "21-09": ["GARE DE L'EST"],
    "21-10": ["POISSONNIERE"],
    "21-11": ["CHATEAU-LANDON"],
    "22-01": ["PORTE DE PANTIN"],
    "22-02": ["OURCQ"],
    "22-04": ["CORENTIN CARIOU"],
    "22-06": ["CRIMEE"],
    "22-08": ["RIQUET"],
    "22-10": ["LOUIS BLANC"],
    "22-11": ["STALINGRAD"],
    "22-12": ["JAURES"],
    "22-13": ["LAUMIERE"],
    "22-14": ["BOLIVAR"],
    "22-15": ["COLONEL FABIEN"],
    "23-02": ["PORTE DES LILAS"],
    "23-03": ["MAIRIE DES LILAS"],
    "23-04": ["PORTE DE BAGNOLET"],
    "23-05": ["GALLIENI"],
    "23-08": ["PLACE DES FETES"],
    "23-09": ["BOTZARIS"],
    "23-10": ["DANUBE"],
    "23-11": ["PRE-SAINT-GERVAIS"],
    "23-13": ["BUTTES-CHAUMONT"],
    "23-14": ["JOURDAIN"],
    "23-15": ["TELEGRAPHE"],
    "24-01": ["VOLTAIRE"],
    "24-02": ["CHARONNE"],
    "24-04": ["PERE-LACHAISE"],
    "24-05": ["MENILMONTANT"],
    "24-06": ["SAINT-MAUR"],
    "24-07": ["PHILIPPE-AUGUSTE"],
    "24-08": ["SAINT-FARGEAU"],
    "24-09": ["PELLEPORT"],
    "24-10": ["GAMBETTA"],
    "24-12": ["BELLEVILLE"],
    "24-13": ["COURONNES"],
    "24-14": ["PYRENEES"],
    "25-02": ["CROIX DE CHAVAUX"],
    "25-03": ["MAIRIE DE MONTREUIL"],
    "25-04": ["MAISONS-ALFORT-LES JUILLIOTTES"],
    "25-05": ["CRETEIL-L'ECHAT"],
    "25-06": ["CRETEIL-UNIVERSITE"],
    "25-07": ["CRETEIL-PREFECTURE"],
    "25-08": ["SAINT-MANDE-TOURELLE"],
    "25-10": ["BERAULT"],
    "25-11": ["CHATEAU DE VINCENNES"],
    "25-12": ["LIBERTE"],
    "25-13": ["CHARENTON-ECOLES"],
    "25-14": ["ECOLE VETERINAIRE DE MAISONS ALFORT"],
    "25-15": ["MAISONS-ALFORT-STADE"],
    "26-03": ["PORTE D'IVRY"],
    "26-04": ["PIERRE ET MARIE CURIE"],
    "26-05": ["MAIRIE D'IVRY"],
    "26-06": ["KREMLIN-BICETRE (LE)"],
    "26-07": ["VILLEJUIF-LEO LAGRANGE"],
    "26-08": ["VILLEJUIF-P.VAILLANT COUTURIER"],
    "26-09": ["VILLEJUIF-LOUIS ARAGON"],
    "27-02": ["PORTE DE VANVES"],
    "27-07": ["MALAKOFF-PLATEAU DE VANVES"],
    "27-08": ["MALAKOFF-RUE ETIENNE DOLET"],
    "27-09": ["CHATILLON-MONTROUGE"],
    "28-02": ["CORENTIN CELTON"],
    "28-03": ["MAIRIE D'ISSY"],
    "28-08": ["MARCEL SEMBAT"],
    "28-09": ["BILLANCOURT"],
    "28-10": ["PONT DE SEVRES"],
    "29-00": ["GRANDE ARCHE DE LA DEFENSE c. RER"],
    "29-04": ["BOULOGNE JEAN JAURES"],
    "29-05": ["BOULOGNE PONT DE SAINT-CLOUD"],
    "29-08": ["SABLONS (LES)"],
    "29-09": ["PONT DE NEUILLY"],
    "29-10": ["ESPLANADE DE LA DEFENSE"],
    "29-11": ["G.ARCHE DE LA DEFENSE - entrée et sortie"],
    "29-12": ["PORTE DE CHAMPERRET"],
    "29-13": ["LOUISE MICHEL"],
    "29-14": ["ANATOLE FRANCE"],
    "29-15": ["PONT DE LEVALLOIS-BECON"],
    "30-01": ["PORTE MAILLOT"],
    "30-04": ["WAGRAM"],
    "30-05": ["PEREIRE"],
    "30-08": ["BROCHANT"],
    "30-09": ["PORTE DE CLICHY"],
    "30-12": ["GUY MOQUET"],
    "30-13": ["PORTE DE SAINT-OUEN"],
    "31-02": ["FUNICULAIRE (station inférieure)"],
    "31-03": ["FUNICULAIRE (station supérieure)"],
    "31-04": ["ANVERS"],
    "31-05": ["ABBESSES"],
    "31-06": ["PIGALLE"],
    "31-07": ["BLANCHE"],
    "31-08": ["TRINITE-D'ESTIENNE D'ORVES"],
    "31-09": ["NOTRE-DAME-DE-LORETTE"],
    "31-10": ["SAINT-GEORGES"],
    "31-12": ["ROME"],
    "31-13": ["PLACE DE CLICHY"],
    "31-14": ["FOURCHE (LA)"]
}

trainStations = {
    "01-00": ["Châtelet-Les Halles"],
    "01-01": ["Châtelet-Les Halles"],
    "01-07": ["Luxembourg"],
    "03-00": ["Saint-Michel Notre-Dame"],
    "06-00": ["Auber"],
    "06-06": ["Auber"],
    "14-04": ["Cité Universitaire"],
    "15-12": ["Port Royal"],
    "16-01": ["Nation"],
    "16-02": ["Fontenay-sous-Bois", "Vincennes"],
    "16-03": ["Joinville-le-Pont", "Nogent-sur-Marne"],
    "16-04": ["Saint-Maur Créteil"],
    "16-05": ["Le Parc de Saint-Maur"],
    "16-06": ["Champigny"],
    "16-07": ["La Varenne-Chennevières"],
    "16-08": ["Boissy-Saint-Léger", "Sucy Bonneuil"],
    "17-01": ["Charles de Gaulle-Etoile"],
    "17-04": ["La Défense (Grande Arche)"],
    "17-05": ["Nanterre-Préfecture", "Nanterre-Université"],
    "17-05": ["Nanterre-Ville"],
    "17-06": ["Rueil-Malmaison"],
    "17-08": ["Chatou-Croissy"],
    "17-09": ["Le Vésinet-Centre", "Le Vésinet-Le Pecq", "Saint-Germain-en-Laye"],
    "18-00": ["Denfert-Rochereau"],
    "18-01": ["Gentilly"],
    "18-02": ["Arcueil-Cachan", "Laplace"],
    "18-03": ["Bagneux", "Bourg-la-Reine"],
    "18-04": ["La Croix-de-Berny", "Parc de Sceaux"],
    "18-05": ["Antony", "Fontaine-Michalon", "Les Baconnets"],
    "18-06": ["Massy-Palaiseau", "Massy-Verrières"],
    "18-07": ["Palaiseau Villebon", "Palaiseau"],
    "18-08": ["Lozère"],
    "18-09": ["Le Guichet", "Orsay-Ville"],
    "18-10": ["Bures-sur-Yvette", "Courcelle-sur-Yvette", "Gif-sur-Yvette", "La Hacquinière", "Saint-Rémy-lès-Chevreuse"],
    "20-01": ["Gare de l'Est"],
    "20-04": ["Pantin"],
    "20-05": ["Noisy-le-Sec"],
    "20-06": ["Bondy"],
    "20-07": ["Gagny", "Le Raincy Villemomble Montfermeil"],
    "20-09": ["Chelles Gournay", "Le Chênay Gagny"],
    "20-10": ["Vaires Torcy"],
    "20-11": ["Lagny-Thorigny"],
    "20-13": ["Esbly"],
    "20-14": ["Meaux"],
    "20-15": ["Changis-Saint-Jean", "Isles-Armentières Congis", "Lizy-sur-Ourcq", "Trilport"],
    "20-16": ["Crouy-sur-Ourcq", "La Ferté-sous-Jouarre", "Nanteuil Saacy"],
    "21-05": ["Rosny-Bois-Perrier", "Rosny-sous-Bois", "Val de Fontenay"],
    "21-06": ["Nogent Le-Perreux"],
    "21-07": ["Les Boullereaux Champigny"],
    "21-08": ["Villiers-sur-Marne Plessis-Trévise"],
    "21-09": ["Les Yvris Noisy-le-Grand"],
    "21-10": ["Emerainville Pontault-Combault", "Roissy-en-Brie"],
    "21-11": ["Ozoir-la-Ferrière"],
    "21-12": ["Gretz-Armainvilliers", "Tournan"],
    "21-15": ["Courquetaine", "Faremoutiers Pommeuse", "Guerard La-Celle-sur-Morin", "Liverdy en Brie", "Marles-en-Brie", "Mormant", "Mortcerf", "Mouroux", "Ozouer le voulgis", "Verneuil-l'Etang", "Villepatour - Presles", "Yebles - Guignes", "Yebles"],
    "21-16": ["Chailly Boissy-le-Châtel", "Chauffry", "Coulommiers", "Jouy-sur-Morin Le-Marais", "Nangis", "Saint-Rémy-la-Vanne", "Saint-Siméon"],
    "21-17": ["Champbenoist-Poigny", "La Ferté-Gaucher", "Longueville", "Provins", "Sainte-Colombe-Septveilles"],
    "21-18": ["Flamboin", "Meilleray", "Villiers St Georges"],
    "22-07": ["Allée de la Tour-Rendez-Vous", "La Remise-à-Jorelle", "Les Coquetiers", "Les Pavillons-sous-Bois"],
    "22-08": ["Gargan"],
    "22-09": ["Freinville Sevran", "L'Abbaye"],
    "23-13": ["Couilly Saint-Germain Quincy", "Les Champs-Forts", "Montry Condé"],
    "23-14": ["Crécy-en-Brie La Chapelle", "Villiers-Montbarbin"],
    "26-05": ["Val de Fontenay"],
    "26-06": ["Bry-sur-Marne", "Neuilly-Plaisance"],
    "26-07": ["Noisy-le-Grand (Mont d'Est)"],
    "26-08": ["Noisy-Champs"],
    "26-10": ["Lognes", "Noisiel", "Torcy"],
    "26-11": ["Bussy-Saint-Georges"],
    "26-12": ["Val d'europe"],
    "26-13": ["Marne-la-Vallée Chessy"],
    "28-04": ["Fontenay-aux-Roses", "Robinson", "Sceaux"],
    "30-01": ["Gare Saint-Lazare"],
    "30-03": ["Pont Cardinet"],
    "30-04": ["Asnières", "Bécon-les-Bruyères", "Clichy Levallois", "Courbevoie", "La Défense (Grande Arche)"],
    "30-05": ["Puteaux", "Suresnes Mont-Valérien"],
    "30-07": ["Garches Marne-la-Coquette", "Le Val d'Or", "Saint-Cloud"],
    "30-08": ["Vaucresson"],
    "30-09": ["Bougival", "La Celle-Saint-Cloud", "Louveciennes", "Marly-le-Roi"],
    "30-10": ["L'Etang-la-Ville", "Saint-Nom-la-Bretêche Forêt de Marly"],
    "31-07": ["Chaville-Rive Droite", "Sèvres Ville-d'Avray", "Viroflay-Rive Droite"],
    "31-08": ["Montreuil", "Versailles-Rive Droite"],
    "32-05": ["La Garenne-Colombes", "Les Vallées", "Nanterre-Université"],
    "32-07": ["Houilles Carrières-sur-Seine", "Sartrouville"],
    "32-09": ["Maisons-Laffitte"],
    "32-10": ["Poissy"],
    "32-11": ["Villennes-sur-Seine"],
    "32-12": ["Les Clairières de Verneuil", "Vernouillet Verneuil"],
    "32-13": ["Aubergenville-Elisabethville", "Les Mureaux"],
    "32-14": ["Epône Mézières"],
    "32-16": ["Bonnières", "Mantes-Station", "Mantes-la-Jolie", "Port-Villez", "Rosny-sur-Seine"],
    "33-10": ["Achères-Grand-Cormier", "Achères-Ville"],
    "33-11": ["Cergy-Préfecture", "Neuville-Université"],
    "33-12": ["Cergy-Saint-Christophe", "Cergy-le-Haut"],
    "35-04": ["Bois-Colombes"],
    "35-05": ["Colombes", "Le Stade"],
    "35-06": ["Argenteuil", "Argenteuil"],
    "35-08": ["Cormeilles-en-Parisis", "Val d'Argenteuil", "Val d'Argenteuil"],
    "35-09": ["Herblay", "La Frette Montigny"],
    "35-10": ["Conflans-Fin d'Oise", "Conflans-Sainte-Honorine"],
    "35-11": ["Andrésy", "Chanteloup-lès-Vignes", "Maurecourt"],
    "35-12": ["Triel-sur-Seine", "Vaux-sur-Seine"],
    "35-13": ["Meulan Hadricourt", "Thun-le-Paradis"],
    "35-14": ["Gargenville", "Juziers"],
    "35-15": ["Issou Porcheville", "Limay"],
    "35-16": ["Breval", "Ménerville"],
    "40-01": ["Gare de Lyon"],
    "40-05": ["Le Vert de Maisons", "Maisons-Alfort Alfortville"],
    "40-06": ["Villeneuve-Prairie"],
    "40-07": ["Villeneuve-Triage"],
    "40-08": ["Villeneuve-Saint-Georges"],
    "40-09": ["Juvisy", "Vigneux-sur-Seine"],
    "40-10": ["Ris-Orangis", "Viry-Châtillon"],
    "40-11": ["Evry Val de Seine", "Grand-Bourg"],
    "40-12": ["Corbeil-Essonnes", "Mennecy", "Moulin-Galant"],
    "40-13": ["Ballancourt", "Fontenay le Vicomte"],
    "40-14": ["La Ferté-Alais"],
    "40-16": ["Boutigny", "Maisse"],
    "40-17": ["Boigneville", "Buno-Gironville"],
    "41-00": ["Musée d'Orsay", "Saint-Michel Notre-Dame"],
    "41-01": ["Gare d'Austerlitz"],
    "41-02": ["Bibliotheque-Francois Mitterrand"],
    "41-04": ["Ivry-sur-Seine", "Vitry-sur-Seine"],
    "41-05": ["Choisy-le-Roi", "Les Ardoines"],
    "41-07": ["Villeneuve-le-Roi"],
    "41-08": ["Ablon"],
    "41-09": ["Athis-Mons"], 
    "42-09": ["Epinay-sur-Orge", "Savigny-sur-Orge"],
    "42-10": ["Sainte-Geneviève-des-Bois"],
    "42-11": ["Saint-Michel-sur-Orge"],
    "42-12": ["Brétigny-sur-Orge", "Marolles-en-Hurepoix"],
    "42-13": ["Bouray", "Lardy"],
    "42-14": ["Chamarande", "Etampes", "Etréchy"],
    "42-16": ["Saint-Martin d'Etampes"],
    "42-17": ["Guillerval"],
    "43-09": ["Montgeron Crosne", "Yerres"],
    "43-10": ["Brunoy"],
    "43-11": ["Boussy-Saint-Antoine", "Combs-la-Ville Quincy"],
    "43-12": ["Lieusaint Moissy"],
    "43-13": ["Cesson", "Savigny-le-Temple Nandy"],
    "43-15": ["Le Mée", "Melun"],
    "43-16": ["Chartrettes", "Fontaine-le-Port", "Livry-sur-Seine"],
    "43-17": ["Champagne-sur-Seine", "Héricy", "La Grande Paroisse", "Vernou-sur-Seine", "Vulaines-sur-Seine Samoreau"],
    "44-12": ["Essonnes-Robinson", "Villabé"],
    "44-13": ["Coudray-Montceaux", "Le Plessis-Chenet-IBM", "Saint-Fargeau"],
    "44-14": ["Boissise-le-Roi", "Ponthierry Pringy"],
    "44-15": ["Vosves"],
    "44-16": ["Bois-le-Roi"],
    "44-17": ["Bagneaux-sur-Loing", "Bourron-Marlotte Grez", "Fontainebleau-Avon", "Montereau", "Montigny-sur-Loing", "Moret Veneux-les-Sablons", "Nemours Saint-Pierre", "Saint-Mammés", "Souppes", "Thomery"],
    "45-10": ["Grigny-Centre"],
    "45-11": ["Evry Courcouronnes", "Orangis Bois de l'Epine"],
    "45-12": ["Le Bras-de-Fer - Evry Génopole"],
    "50-00": ["Haussmann-Saint-Lazare"],
    "50-01": ["Gare du Nord", "Magenta", "Paris-Nord"],
    "50-05": ["Epinay-Villetaneuse", "Saint-Denis", "Sèvres-Rive Gauche"],
    "50-06": ["La Barre-Ormesson"],
    "50-07": ["Champ de Courses d'Enghien", "Enghien-les-Bains"],
    "50-08": ["Ermont-Eaubonne", "Ermont-Halte", "Gros-Noyer Saint-Prix"],
    "50-09": ["Saint-Leu-La-Forêt", "Taverny", "Vaucelles"],
    "50-10": ["Bessancourt", "Frépillon", "Mery"],
    "50-11": ["Mériel", "Valmondois"],
    "50-12": ["Bruyères-sur-Oise", "Champagne-sur-Oise", "L'Isle-Adam Parmain", "Persan Beaumont"],
    "51-04": ["La Courneuve-Aubervilliers", "La Plaine-Stade de France"],
    "51-05": ["Le Bourget"],
    "51-07": ["Blanc-Mesnil", "Drancy"],
    "51-08": ["Aulnay-sous-Bois"],
    "51-09": ["Sevran Livry", "Vert-Galant"],
    "51-10": ["Villeparisis"],
    "51-11": ["Compans", "Mitry-Claye"],
    "51-12": ["Dammartin Juilly Saint-Mard", "Thieux Nantouillet"],
    "52-05": ["Stade de France-Saint-Denis"],
    "52-06": ["Pierrefitte Stains"],
    "52-07": ["Garges-Sarcelles"],
    "52-08": ["Villiers-le-Bel (Gonesse - Arnouville)"],
    "52-10": ["Goussainville", "Les Noues", "Louvres"],
    "52-11": ["La Borne-Blanche", "Survilliers-Fosses"],
    "53-06": ["Deuil Montmagny"],
    "53-07": ["Groslay"],
    "53-08": ["Sarcelles Saint-Brice"],
    "53-09": ["Domont", "Ecouen Ezanville"],
    "53-10": ["Bouffemont Moisselles", "Montsoult Maffliers"],
    "53-11": ["Belloy-Saint-Martin", "Luzarches", "Seugy", "Viarmes", "Villaines"],
    "54-08": ["Cernay"],
    "54-09": ["Franconville Plessis-Bouchard", "Montigny-Beauchamp"],
    "54-10": ["Pierrelaye"],
    "54-11": ["Pontoise", "Saint-Ouen-l'Aumone-Liesse"],
    "54-12": ["Boissy-l'Aillerie", "Osny"],
    "54-15": ["Chars", "Montgeroult Courcelles", "Santeuil Le Perchay", "Us"],
    "55-00": ["Avenue Foch", "Avenue Henri-Martin", "Boulainvilliers", "Kennedy Radio-France", "Neuilly-Porte Maillot (Palais des congrès)"],
    "55-01": ["Péreire-Levallois"],
    "55-02": ["Porte de Clichy"],
    "55-03": ["Saint-Ouen"],
    "55-04": ["Les Grésillons"],
    "55-05": ["Gennevilliers"],
    "55-06": ["Epinay-sur-Seine"],
    "55-07": ["Saint-Gratien"],
    "56-11": ["Auvers-sur-Oise", "Chaponval", "Epluches", "Pont Petit"],
    "57-11": ["Presles Courcelles"],
    "57-12": ["Nointel Mours"],
    "60-01": ["Gare Montparnasse"],
    "60-04": ["Clamart", "Vanves Malakoff"],
    "60-05": ["Bellevue", "Bièvres", "Meudon"],
    "60-06": ["Chaville-Rive Gauche", "Chaville-Vélizy", "Viroflay-Rive Gauche"],
    "60-07": ["Versailles-Chantiers"],
    "60-10": ["Saint-Cyr"],
    "60-11": ["Saint-Quentin-en-Yvelines - Montigny le Bretonneux", "Trappes"],
    "60-12": ["Coignières", "La Verrière"],
    "60-13": ["Les Essarts-le-Roi"],
    "60-14": ["Le Perray", "Rambouillet"],
    "60-15": ["Gazeran"],
    "61-10": ["Fontenay-le-Fleury"],
    "61-11": ["Villepreux Les-Clayes"],
    "61-12": ["Plaisir Grignon", "Plaisir Les-Clayes"],
    "61-13": ["Beynes", "Mareil-sur-Mauldre", "Maule", "Nézel Aulnay"],
    "61-15": ["Garancières La-Queue", "Montfort-l'Amaury Méré", "Orgerus Behoust", "Tacoignères Richebourg", "Villiers Neauphle Pontchartrain"],
    "61-16": ["Houdan"],
    "63-07": ["Porchefontaine", "Versailles-Rive Gauche"],
    "64-00": ["Invalides", "Pont de l'alma"],
    "64-01": ["Champ de Mars-Tour Eiffel"],
    "64-02": ["Javel"],
    "64-03": ["Boulevard Victor - Pont du Garigliano", "Issy-Val de Seine", "Issy"],
    "64-05": ["Meudon-Val-Fleury"],
    "65-08": ["Jouy-en-Josas", "Petit-Jouy-les-Loges"],
    "65-09": ["Vauboyen"],
    "65-10": ["Igny"],
    "65-11": ["Massy-Palaiseau"],
    "65-12": ["Longjumeau"],
    "65-13": ["Chilly-Mazarin"],
    "65-14": ["Gravigny-Balizy", "Petit-Vaux"],
    "70-09": ["Parc des Expositions", "Sevran-Beaudottes", "Villepinte"],
    "70-10": ["Aéroport Charles de Gaulle"],
    "72-07": ["Sannois"],
    "73-11": ["Eragny Neuville", "Saint-Ouen-l'Aumône (Eglise)"],
    "75-07": ["Les Saules", "Orly-Ville"],
    "75-09": ["Pont de Rungis Aéroport d'Orly", "Rungis-La Fraternelle"],
    "75-10": ["Chemin d'Antony"],
    "75-12": ["Massy-Verrières", "Arpajon"], 
    "76-12": ["Egly", "La Norville Saint-Germain-lès-Arpajon"],
    "76-13": ["Breuillet Bruyères-le-Châtel", "Breuillet-Village", "Saint-Chéron"],
    "76-14": ["Sermaise"],
    "76-15": ["Dourdan", "Dourdan-la-Forêt"],
}
