# -*- coding: utf-8 -*-

# -- codes.py
# Standard codes


# Copyright © 2010 Eric Bourry & Julien Flaissy

# This file is part of PSSI (Python Simple Smartcard Interpreter).

# PSSI is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# PSSI is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with PSSI.  If not, see <http://www.gnu.org/licenses/>



MCCs = {
    412: "Afghanistan",
    276: "Albania",
    603: "Algeria",
    544: "American Samoa (US)",
    213: "Andorra",
    631: "Angola",
    365: "Anguilla",
    344: "Antigua and Barbuda",
    722: "Argentine Republic",
    283: "Armenia",
    363: "Aruba (Netherlands)",
    505: "Australia",
    232: "Austria",
    400: "Azerbaijani Republic",
    364: "Bahamas",
    426: "Bahrain",
    470: "Bangladesh",
    342: "Barbados",
    257: "Belarus",
    206: "Belgium",
    702: "Belize",
    616: "Benin",
    350: "Bermuda (UK)",
    402: "Bhutan",
    736: "Bolivia",
    218: "Bosnia and Herzegovina",
    652: "Botswana",
    724: "Brazil",
    348: "British Virgin Islands (UK)",
    528: "Brunei Darussalam",
    284: "Bulgaria",
    613: "Burkina Faso",
    642: "Burundi",
    456: "Cambodia",
    624: "Cameroon",
    302: "Canada",
    625: "Cape Verde",
    346: "Cayman Islands (UK)",
    623: "Central African Republic",
    622: "Chad",
    730: "Chile",
    460: "China",
    732: "Colombia",
    654: "Comoros",
    629: "Republic of the Congo",
    548: "Cook Islands (NZ)",
    712: "Costa Rica",
    612: "Côte d'Ivoire",
    219: "Croatia",
    368: "Cuba",
    280: "Cyprus",
    230: "Czech Republic",
    630: "Democratic Republic of the Congo",
    238: "Denmark",
    638: "Djibouti",
    366: "Dominica",
    370: "Dominican Republic",
    514: "East Timor",
    740: "Ecuador",
    602: "Egypt",
    706: "El Salvador",
    627: "Equatorial Guinea",
    657: "Eritrea",
    248: "Estonia",
    636: "Ethiopia",
    750: "Falkland Islands (Malvinas)",
    288: "Faroe Islands (Denmark)",
    542: "Fiji",
    244: "Finland",
    208: "France",
    742: "French Guiana (France)",
    547: "French Polynesia (France)",
    628: "Gabonese Republic",
    607: "Gambia",
    282: "Georgia",
    262: "Germany",
    620: "Ghana",
    266: "Gibraltar (UK)",
    202: "Greece",
    290: "Greenland (Denmark)",
    352: "Grenada",
    340: "Guadeloupe (France)",
    535: "Guam (US)",
    704: "Guatemala",
    611: "Guinea",
    632: "Guinea-Bissau",
    738: "Guyana",
    372: "Haiti",
    708: "Honduras",
    454: "Hong Kong (PRC)",
    216: "Hungary",
    274: "Iceland",
    404: "India",
    405: "India",
    510: "Indonesia",
    432: "Iran",
    418: "Iraq",
    272: "Ireland",
    425: "Israel",
    222: "Italy",
    338: "Jamaica",
    441: "Japan",
    440: "Japan",
    416: "Jordan",
    401: "Kazakhstan",
    639: "Kenya",
    545: "Kiribati",
    467: "Korea, North",
    450: "Korea, South",
    419: "Kuwait",
    437: "Kyrgyz Republic",
    457: "Laos",
    247: "Latvia",
    415: "Lebanon",
    651: "Lesotho",
    618: "Liberia",
    606: "Libya",
    295: "Liechtenstein",
    246: "Lithuania",
    270: "Luxembourg",
    455: "Macau (PRC)",
    294: "Republic of Macedonia",
    646: "Madagascar",
    650: "Malawi",
    502: "Malaysia",
    472: "Maldives",
    610: "Mali",
    278: "Malta",
    551: "Marshall Islands",
    340: "Martinique (France)",
    609: "Mauritania",
    617: "Mauritius",
    334: "Mexico",
    550: "Federated States of Micronesia",
    259: "Moldova",
    212: "Monaco",
    428: "Mongolia",
    297: "Montenegro (Republic of)",
    354: "Montserrat (UK)",
    604: "Morocco",
    643: "Mozambique",
    414: "Myanmar",
    649: "Namibia",
    536: "Nauru",
    429: "Nepal",
    204: "Netherlands",
    362: "Netherlands Antilles (Netherlands)",
    546: "New Caledonia (France)",
    530: "New Zealand",
    710: "Nicaragua",
    614: "Niger",
    621: "Nigeria",
    534: "Northern Mariana Islands (US)",
    242: "Norway",
    422: "Oman",
    410: "Pakistan",
    552: "Palau",
    423: "Palestine",
    714: "Panama",
    537: "Papua New Guinea",
    744: "Paraguay",
    716: "Perù",
    515: "Philippines",
    260: "Poland",
    268: "Portugal",
    330: "Puerto Rico (US)",
    427: "Qatar",
    647: "Réunion (France)",
    226: "Romania",
    250: "Russian Federation",
    635: "Rwandese Republic",
    356: "Saint Kitts and Nevis",
    358: "Saint Lucia",
    308: "Saint Pierre and Miquelon (France)",
    360: "Saint Vincent and the Grenadines",
    549: "Samoa",
    292: "San Marino",
    626: "Sao Tomé and Prìncipe",
    420: "Saudi Arabia",
    608: "Senegal",
    220: "Serbia (Republic of)",
    633: "Seychelles",
    619: "Sierra Leone",
    525: "Singapore",
    231: "Slovakia",
    293: "Slovenia",
    540: "Solomon Islands",
    637: "Somalia",
    655: "South Africa",
    214: "Spain",
    413: "Sri Lanka",
    634: "Sudan",
    746: "Suriname",
    653: "Swaziland",
    240: "Sweden",
    228: "Switzerland",
    417: "Syria",
    466: "Taiwan",
    436: "Tajikistan",
    640: "Tanzania",
    520: "Thailand",
    615: "Togolese Republic",
    539: "Tonga",
    374: "Trinidad and Tobago",
    605: "Tunisia",
    286: "Turkey",
    438: "Turkmenistan",
    376: "Turks and Caicos Islands (UK)",
    641: "Uganda",
    255: "Ukraine",
    424: "United Arab Emirates",
    430: "United Arab Emirates (Abu Dhabi)",
    431: "United Arab Emirates (Dubai)",
    235: "United Kingdom",
    234: "United Kingdom",
    310: "United States of America",
    311: "United States of America",
    312: "United States of America",
    313: "United States of America",
    314: "United States of America",
    315: "United States of America",
    316: "United States of America",
    332: "United States Virgin Islands (US)",
    748: "Uruguay",
    434: "Uzbekistan",
    541: "Vanuatu",
    225: "Vatican City State",
    734: "Venezuela",
    452: "Viet Nam",
    543: "Wallis and Futuna (France)",
    421: "Yemen",
    645: "Zambia",
    648: "Zimbabwe",
}

MNCs = {
    "001-01": "TEST, Test Network",
    "412-01": "AWCC, Afghan Wireless Communication Company",
    "412-20": "Roshan, Telecom Development Company Afghanistan Ltd.",
    "412-40": "Areeba, MTN Group Afghanistan",
    "412-50": "Etisalat, Etisalat Afghanistan",
    "276-01": "AMC, Albanian Mobile Communications",
    "276-02": "Vodafone, Vodafone Albania",
    "276-03": "Eagle Mobile, Eagle Mobile",
    "603-01": "Mobilis, ATM Mobilis",
    "603-02": "Djezzy, Orascom Telecom Algerie Spa",
    "603-03": "Nedjma, Wataniya Telecom Algerie",
    "213-03": "Mobiland, Servei De Tele. DAndorra",
    "631-02": "UNITEL, UNITEL S.a.r.l.",
    "365-010": "Weblinks Limited",
    "365-840": "Cable & Wireless",
    "344-030": "APUA, Antigua Public Utilities Authority",
    "344-920": "Lime, Cable & Wireless Caribbean Cellular (Antigua) Limited",
    "338-050": "Digicel, Antigua Wireless Ventures Limited",
    "722-010": "Movistar, Telefonica Móviles Argentina SA",
    "722-020": "Nextel, NII Holdings",
    "722-070": "Movistar, Telefonica Móviles Argentina SA",
    "722-310": "Claro, AMX Argentina S.A",
    "722-320": "Claro, AMX Argentina S.A",
    "722-330": "Claro, AMX Argentina S.A",
    "722-340": "Personal, Telecom Personal SA",
    "722-350": "Hutchinson (PORT HABLE)",
    "283-01": "Beeline, ArmenTel",
    "283-05": "VivaCell-MTS, K Telecom CJSC",
    "283-10": "Orange",
    "363-01": "SETAR, Servicio di Telecomunicacion di Aruba",
    "363-02": "Digicel",
    "505-01": "Telstra, Telstra Corporation Limited",
    "505-02": "Optus, Singtel Optus Proprietary Limited",
    "505-03": "Vodafone, Vodafone Hutchison Australia Proprietary Limited",
    "505-04": "Department of Defence",
    "505-05": "Ozitel",
    "505-06": "Vodafone, Vodafone Hutchison Australia Proprietary Limited",
    "505-08": "One.Tel, One.Tel Limited",
    "505-09": "Airnet",
    "505-12": "3, Vodafone Hutchison Australia Proprietary Limited",
    "505-13": "Railcorp, Rail Corporation New South Wales",
    "505-14": "AAPT, Telecom New Zealand",
    "505-15": "3GIS",
    "505-16": "Unknown",
    "505-21": "SOUL, TPG Telecom Limited",
    "505-24": "Advanced Communications Technologies Pty. Ltd.",
    "505-38": "Crazy John's, Vodafone Hutchison Australia Proprietary Limited",
    "505-71": "Telstra, Telstra Corporation Limited",
    "505-72": "Telstra, Telstra Corporation Limited",
    "505-88": "Localstar Holding Pty. Ltd.",
    "505-90": "Optus, Singtel Optus Proprietary Limited",
    "505-99": "One.Tel, One.Tel",
    "232-01": "A1, Mobilkom Austria",
    "232-03": "T-Mobile, T-Mobile Austria",
    "232-05": "Orange, Orange Austria",
    "232-07": "tele.ring, T-Mobile Austria",
    "232-10": "3, Hutchison 3G",
    "232-11": "bob, Mobilkom Austria",
    "232-12": "yesss, yesss",
    "232-14": "3, Hutchison 3G",
    "232-15": "Barablu, Barablu Mobile Ltd.",
    "232-16": "3, Hutchison 3G",
    "400-01": "Azercell",
    "400-02": "Bakcell",
    "400-03": "FONEX, CATEL",
    "400-04": "Nar Mobile, Azerfon",
    "364-390": "BaTelCo, The Bahamas Telecommunications Company Ltd",
    "426-01": "Batelco, Bahrain Telecommunications Company",
    "426-02": "zain BH, Zain Bahrain",
    "426-04": "VIVA, Viva Bahrain",
    "470-01": "Grameenphone, GrameenPhone Ltd",
    "470-02": "Robi, Axiata Bangladesh Ltd.",
    "470-03": "Banglalink, Orascom Telecom Holding",
    "470-04": "TeleTalk",
    "470-05": "Citycell",
    "470-06": "Warid, Warid Telecom",
    "470-07": "WTBL, WorldTel Bangladesh Ltd.",
    "342-600": "bmobile, Cable & Wireless Barbados Ltd.",
    "342-750": "Digicel, Digicel (Jamaica) Limited",
    "342-820": "Sunbeach Communications",
    "257-01": "velcom",
    "257-02": "MTS, Mobile TeleSystems",
    "257-04": "life:), Belarussian Telecommunications Network",
    "257-03": "DIALLOG, BelCel",
    "206-01": "Proximus, Belgacom Mobile",
    "206-10": "Mobistar, France Telecom",
    "206-20": "BASE, KPN",
    "702-67": "Belize Telemedia",
    "702-68": "International Telecommunications Ltd.",
    "616-01": "Libercom, Benin Telecoms Mobile",
    "616-02": "Moov, Telecel Benin",
    "616-03": "MTN, Spacetel Benin",
    "616-04": "BBCOM, Bell Benin Communications",
    "616-05": "Glo, Glo Communication Benin",
    "350-01": "Digicel Bermuda, Telecommunications (Bermuda & West Indies) Ltd",
    "350-02": "Mobility, M3 Wireless",
    "338-050": "Digicel Bermuda",
    "402-11": "B-Mobile, B-Mobile",
    "402-77": "TashiCell, Tashi InfoComm Limited",
    "736-01": "Nuevatel, Nuevatel PCS De Bolivia SA",
    "736-02": "Entel, Entel SA",
    "736-03": "Tigo, Telefonica Celular De Bolivia S.A",
    "218-03": "HT-ERONET, Public Enterprise Croatian Telecom Ltd.",
    "218-05": "m:tel, RS Telecommunications JSC Banja Luka",
    "218-90": "BH Mobile, BH Telecom",
    "652-01": "Mascom, Mascom Wireless (Pty) Limited",
    "652-02": "Orange, Orange (Botswana) Pty Limited",
    "652-04": "BTC Mobile, Botswana Telecommunications Corporation",
    "724-02": "TIM, Telecom Italia Mobile",
    "724-03": "TIM, Telecom Italia Mobile",
    "724-04": "TIM, Telecom Italia Mobile",
    "724-05": "Claro, Claro",
    "724-06": "Vivo, Vivo S.A.",
    "724-07": "CTBC Celular, CTBC Telecom",
    "724-08": "TIM, Telecom Italia Mobile",
    "724-10": "Vivo, Vivo S.A.",
    "724-11": "Vivo, Vivo S.A.",
    "724-15": "Sercomtel, Sercomtel Celular",
    "724-16": "Oi / Brasil Telecom, Brasil Telecom Celular SA",
    "724-23": "Vivo, Vivo S.A.",
    "724-24": "Oi / Amazonia Celular, Amazônia Celular S.A.",
    "724-31": "Oi, TNL PCS",
    "724-32": "CTBC Celular, CTBC Celular S.A.",
    "724-33": "CTBC Celular, CTBC Celular S.A.",
    "724-34": "CTBC Celular, CTBC Celular S.A.",
    "724-37": "aeiou, Unicel do Brasil",
    "724-00": "Nextel, NII Holdings, Inc.",
    "348-170": "Cable & Wireless, Cable & Wireless (West Indies)",
    "348-570": "CCT Boatphone, Caribbean Cellular Telephone",
    "528-01": "Jabatan Telekom",
    "528-02": "B-Mobile, B-Mobile Communications Sdn Bhd",
    "528-11": "DSTCom, DataStream Technology",
    "284-01": "M-Tel, Mobiltel",
    "284-03": "Vivacom, BTC",
    "284-05": "GLOBUL, Cosmo Bulgaria Mobile",
    "613-01": "Onatel",
    "613-02": "Zain, Celtel Burkina Faso",
    "613-03": "Telecel Faso, Telecel Faso SA",
    "642-01": "Spacetel, Econet Wireless Burundi PLC",
    "642-02": "Africell, Africell PLC",
    "642-03": "Telecel, Telecel Burundi Company",
    "642-82": "Onatel",
    "456-01": "Mobitel, CamGSM",
    "456-02": "hello, Telekom Malaysia International (Cambodia) Co. Ltd",
    "456-03": "S Telecom",
    "456-04": "qb, Cambodia Advance Communications Co. Ltd",
    "456-05": "Star-Cell, APPLIFONE CO. LTD.",
    "456-06": "Smart, Latelz Co., Ltd",
    "456-18": "Mfone, Camshin / Shinawatra",
    "456-09": "Beeline, Sotelco Ltd.",
    "456-08": "Metfone, Viettel",
    "624-01": "MTN Cameroon, Mobile Telephone Network Cameroon Ltd",
    "624-02": "Orange, Orange Cameroun S.A.",
    "302-220": "Telus, Telus Mobility",
    "302-221": "Telus, Telus Mobility",
    "302-290": "Airtel Wireless",
    "302-350": "FIRST, FIRST Networks Operations",
    "302-360": "MiKe, Telus Mobility",
    "302-361": "Telus, Telus Mobility",
    "302-370": "Fido, Fido Solutions (Rogers Wireless)",
    "302-380": "DMTS, Dryden Mobility",
    "302-490": "WIND Mobile, Globalive Communications",
    "302-500": "Videotron, Videotron",
    "302-510": "Videotron, Videotron",
    "302-610": "Bell, Bell Mobility",
    "302-620": "ICE Wireless, ICE Wireless",
    "302-640": "Bell, Bell Mobility",
    "302-651": "Bell, Bell Mobility",
    "302-652": "BC Tel Mobility (Telus)",
    "302-653": "Telus, Telus Mobility",
    "302-655": "MTS, MTS Mobility",
    "302-656": "TBay, Thunder Bay Telephone Mobility",
    "302-657": "Telus, Telus Mobility",
    "302-680": "SaskTel, SaskTel Mobility",
    "302-701": "MB Tel Mobility",
    "302-702": "MT&T Mobility (Aliant)",
    "302-703": "New Tel Mobility (Aliant)",
    "302-710": "Globalstar",
    "302-720": "Rogers Wireless, Rogers Communications",
    "302-780": "SaskTel, SaskTel Mobility",
    "302-880": "Bell / Telus, Shared Telus and Bell",
    "625-01": "CVMOVEL, CVMovel, S.A.",
    "625-02": "T+, T+",
    "346-140": "Cable & Wireless, Cable & Wireless (Cayman Islands) Limited",
    "338-050": "Digicel, Digicel Cayman Ltd.",
    "623-01": "CTP, Centrafrique Telecom Plus",
    "623-02": "TC, Telecel Centrafrique",
    "623-03": "Orange, Orange RCA",
    "623-04": "Nationlink, Nationlink Telecom RCA",
    "622-01": "Zain, CelTel Tchad SA",
    "622-02": "Tchad Mobile",
    "622-03": "TIGO - Millicom",
    "622-02": "TAWALI",
    "622-04": "Salam, Sotel Mobile",
    "730-01": "Entel, Entel Pcs",
    "730-02": "movistar, Movistar Chile",
    "730-03": "Claro, Claro Chile",
    "730-04": "Nextel, Nextel Chile",
    "730-10": "Entel, Entel Telefonica Movil",
    "730-99": "WILL, Will Telefonía",
    "460-00": "China Mobile",
    "460-01": "China Unicom",
    "460-02": "China Mobile",
    "460-03": "China Telecom",
    "460-05": "China Telecom",
    "460-06": "China Unicom",
    "460-20": "China TIETONG",
    "732-001": "Colombia Telecomunicaciones S.A.",
    "732-002": "Edatel, Edatel S.A.",
    "732-101": "Comcel, Comcel Colombia",
    "732-102": "movistar, Bellsouth Colombia",
    "732-103": "Tigo, Colombia Móvil",
    "732-111": "Tigo, Colombia Móvil",
    "732-12": "movistar, Telefónica Móviles Colombia",
    "654-01": "HURI - SNPT",
    "629-01": "Zain, Celtel Congo",
    "629-10": "Libertis Telecom, MTN CONGO S.A",
    "548-01": "Telecom Cook",
    "712-01": "ICE, Instituto Costarricense de Electricidad",
    "712-02": "ICE, Instituto Costarricense de Electricidad",
    "712-03": "ICE, Grupo ICE",
    "219-01": "T-Mobile, T-Mobile Croatia",
    "219-02": "Tele2",
    "219-10": "VIPnet",
    "368-01": "ETECSA, Empresa de Telecomunicaciones de Cuba, SA",
    "280-01": "Cytamobile-Vodafone, Cyprus Telecommunications Auth",
    "280-10": "MTN, Areeba Ltd",
    "230-01": "T-Mobile, T-Mobile Czech Republic",
    "230-02": "O2, Telefónica O2 Czech Republic",
    "230-03": "Vodafone, Vodafone Czech Republic",
    "230-04": "U:fon, MobilKom, a. s.",
    "230-98": "SŽDC s.o.",
    "230-99": "Vodafone, Vodafone Czech Republic",
    "630-01": "Vodacom, Vodacom Congo RDC sprl",
    "630-02": "Zain, Celtel Congo",
    "630-04": "Cellco",
    "630-05": "Supercell, Supercell SPRL",
    "630-86": "CCT, Congo-Chine Telecom s.a.r.l.",
    "630-89": "SAIT Telecom, OASIS SPRL",
    "238-01": "TDC, TDC A/S",
    "238-02": "Telenor, Telenor Denmark",
    "238-03": "MIGway A/S",
    "238-05": "ApS KBUS",
    "238-06": "3, Hi3G Denmark ApS",
    "238-07": "Barablu Mobile Ltd.",
    "238-09": "Dansk Beredskabskommunikation A/S",
    "238-10": "TDC, TDC A/S",
    "238-11": "Dansk Beredskabskommunikation A/S",
    "238-12": "Lycamobile Denmark Ltd",
    "238-20": "Telia",
    "238-30": "Telia, Telia Nättjänster Norden AB",
    "238-40": "Ericsson Danmark A/S",
    "238-77": "Telenor, Telenor Denmark",
    "638-01": "Evatis, Djibouti Telecom SA",
    "366-020": "Digicel",
    "366-110": "Cable & Wireless",
    "370-01": "Orange, Orange Dominicana",
    "370-02": "Claro, Compañía Dominicana de Teléfonos, C por",
    "370-03": "Tricom, Tricom S.A.",
    "370-04": "Viva, Trilogy Dominicana, S.A.",
    "514-02": "Timor Telecom",
    "740-00": "Movistar, Otecel S.A.",
    "740-01": "Porta, América Móvil",
    "740-02": "Alegro, Telecsa S.A.",
    "602-01": "Mobinil, ECMS-Mobinil",
    "602-02": "Vodafone, Vodafone Egypt",
    "602-03": "Etisalat, Etisalat Egypt",
    "706-01": "CTE Telecom Personal, CTE Telecom Personal SA de CV",
    "706-02": "digicel, Digicel Group",
    "706-03": "Telemovil EL Salvador, Telemovil EL Salvador S.A",
    "706-04": "movistar, Telefónica Móviles El Salvador",
    "706-10": "Claro, América Móvil",
    "627-01": "Orange GQ, GETESA",
    "627-03": "Hits GQ, HiTs EG.SA",
    "657-01": "Eritel, Eritrea Telecommunications Services Corporation",
    "248-01": "EMT, Estonian Mobile Telecom",
    "248-02": "Elisa, Elisa Eesti",
    "248-03": "Tele 2, Tele 2 Eesti",
    "248-04": "OY Top Connect",
    "248-05": "AS Bravocom Mobiil",
    "248-06": "OY ViaTel",
    "636-01": "ETMTN, Ethiopian Telecommunications Corporation",
    "288-01": "Faroese Telecom, Faroese Telecom",
    "288-02": "Vodafone, Vodafone Faroe Islands",
    "542-01": "Vodafone, Vodafone Fiji",
    "542-02": "Digicel, Digicel Fiji",
    "244-03": "DNA, DNA Oy",
    "244-05": "Elisa, Elisa Oyj",
    "244-07": "Nokia, Nokia Test Network",
    "244-08": "Unknown",
    "244-10": "TDC Oy",
    "244-12": "DNA, DNA Oy",
    "244-14": "AMT, Ålands Mobiltelefon",
    "244-21": "Saunalahti, Elisa Oyj",
    "244-29": "Scnl Truphone",
    "244-91": "Sonera, TeliaSonera Finland Oyj",
    "208-00": "Orange, France Télécom",
    "208-01": "Orange, France Télécom",
    "208-02": "Orange, France Télécom",
    "208-05": "Globalstar Europe",
    "208-06": "Globalstar Europe",
    "208-07": "Globalstar Europe",
    "208-10": "SFR, Vivendi",
    "208-11": "SFR, Vivendi",
    "208-13": "SFR, Vivendi",
    "208-20": "Bouygues, Bouygues Telecom",
    "208-21": "Bouygues, Bouygues Telecom",
    "208-88": "Bouygues, Bouygues Telecom",
    "628-01": "Libertis, Libertis S.A.",
    "628-02": "Moov (Telecel) Gabon S.A.",
    "628-03": "Zain, Celtel Gabon S.A.",
    "607-01": "Gamcel, Gamcel",
    "607-02": "Africel, Africel",
    "607-03": "Comium, Comium",
    "607-04": "QCell, QCell Gambia",
    "282-01": "Geocell, Geocell Limited",
    "282-02": "MagtiCom, Magticom GSM",
    "282-03": "Iberiatel, Iberiatel Ltd.",
    "282-04": "Beeline, Mobitel LLC",
    "289-67": "Aquafon",
    "289-88": "A-Mobile",
    "262-01": "T-Mobile, T-Mobile Deutschland GmbH",
    "262-02": "Vodafone, Vodafone D2 GmbH",
    "262-03": "E-Plus, E-Plus Mobilfunk",
    "262-04": "Vodafone",
    "262-05": "E-Plus, E-Plus Mobilfunk",
    "262-06": "T-Mobile",
    "262-07": "O2, O2 (Germany) GmbH & Co. OHG",
    "262-08": "O2",
    "262-09": "Vodafone",
    "262-10": "Arcor AG & Co",
    "262-11": "O2",
    "262-12": "Dolphin Telecom",
    "262-13": "Mobilcom Multimedia",
    "262-14": "Group 3G UMTS",
    "262-15": "Airdata",
    "262-16": "Vistream",
    "262-60": "DB Telematik",
    "262-76": "Siemens AG",
    "262-77": "E-Plus",
    "262-901": "Debitel",
    "620-01": "MTN, MTN Group",
    "620-02": "Vodafone, Vodafone Group",
    "620-03": "tiGO, Millicom Ghana",
    "620-04": "Kasapa / Hutchison Telecom",
    "620-06": "Zain, Zain Group",
    "266-01": "GibTel, Gibraltar Telecoms",
    "266-06": "CTS Mobile, CTS Gibraltar",
    "202-01": "Cosmote, COSMOTE - Mobile Telecommunications S.A.",
    "202-05": "Vodafone, Vodafone Greece",
    "202-09": "Wind, Wind Hellas Telecommunications S.A.",
    "202-10": "Wind, Wind Hellas Telecommunications S.A.",
    "290-01": "TELE Greenland A/S",
    "352-030": "Digicel, Digicel Grenada Ltd.",
    "352-110": "Cable & Wireless, Cable & Wireless Grenada Ltd.",
    "340-01": "Orange, Orange Caraïbe Mobiles",
    "340-02": "Outremer, Outremer Telecom",
    "340-03": "Telcell, Saint Martin et Saint Barthelemy Telcell Sarl",
    "340-08": "MIO GSM, Dauphin Telecom",
    "340-20": "Digicel, DIGICEL Antilles Française Guyane",
    "310-032": "IT&E Wireless, IT&E Overseas, Inc",
    "310-033": "Guam Telephone Authority",
    "310-140": "mPulse, GTA Wireless",
    "310-370": "Guamcell, Guam Cellular & Paging Inc",
    "311-250": "i CAN_GSM, Wave Runner LLC",
    "310-470": "Guamcell, Guam Cellular & Paging Inc",
    "704-01": "Claro, Servicios de Comunicaciones Personales Inalambricas (SERCOM)",
    "704-02": "Comcel / Tigo, Millicom / Local partners",
    "704-03": "movistar, Telefonica Móviles Guatemala (Telefónica)",
    "234-55": "Sure Mobile, Cable & Wireless Guernsey",
    "611-01": "Spacetel, Orange",
    "611-02": "Lagui, Sotelgui Lagui",
    "611-03": "Telecel Guinee, INTERCEL Guinée",
    "611-04": "MTN, Areeba Guinea",
    "632-02": "Areeba, Spacetel Guiné-Bissau S.A.",
    "632-03": "Orange",
    "738-01": "Digicel, U-Mobile (Cellular) Inc.",
    "738-02": "GT&T Cellink Plus, Guyana Telephone & Telegraph Co.",
    "372-01": "Comcel / Voila",
    "338-050": "Digicel",
    "708-01": "Claro, Servicios de Comunicaciones de Honduras S.A. de C.V.",
    "708-02": "Celtel / Tigo",
    "708-30": "Hondutel, Empresa Hondureña de Telecomunicaciones",
    "708-04": "DIGICEL, Digicel de Honduras",
    "454-00": "1O1O and One2Free, CSL Limited",
    "454-01": "CITIC Telecom 1616",
    "454-02": "CSL Limited",
    "454-03": "3 (3G), Hutchison Telecom",
    "454-04": "3 DualBand (2G), Hutchison Telecom",
    "454-05": "3 CDMA, Hutchison Telecom",
    "454-06": "SmarTone-Vodafone, SmarTone Mobile Communications Limited",
    "454-07": "China Unicom (Hong Kong) Limited",
    "454-08": "Trident",
    "454-09": "China Motion Telecom",
    "454-10": "New World Mobility, CSL Limited",
    "454-11": "China-Hongkong Telecom",
    "454-12": "CMCC HK, China Mobile Hong Kong Company Limited",
    "454-14": "Hutchison Telecom",
    "454-15": "SmarTone Mobile Communications Limited",
    "454-16": "PCCW Mobile (2G), PCCW Limited",
    "454-17": "SmarTone Mobile Communications Limited",
    "454-18": "CSL Limited",
    "454-19": "PCCW Mobile (3G), PCCW Limited",
    "454-29": "PCCW Mobile (CDMA), PCCW Limited",
    "216-01": "Telenor, Telenor Magyarország Zrt.",
    "216-30": "T-Mobile, Magyar Telekom Plc",
    "216-70": "Vodafone, Vodafone Magyarország Zrt.",
    "274-01": "Siminn, Iceland Telecom",
    "274-02": "Vodafone, Og fjarskipti hf",
    "274-03": "Vodafone, Vodafone Iceland",
    "274-04": "Viking, IMC Island ehf",
    "274-06": "Núll níu ehf",
    "274-07": "IceCell, IceCell ehf",
    "274-08": "On-waves, Iceland Telecom",
    "274-11": "Nova, Nova ehf",
    "404-01": "Vodafone IN, Haryana",
    "404-02": "AirTel, Punjab",
    "404-04": "IDEA, Delhi & NCR",
    "404-05": "Vodafone IN, Gujarat",
    "404-07": "IDEA, Andhra Pradesh",
    "404-09": "Reliance, Assam",
    "404-10": "AirTel, Delhi & NCR",
    "404-11": "Vodafone IN, Delhi & NCR",
    "404-12": "IDEA, Haryana",
    "404-13": "Vodafone IN, Andhra Pradesh",
    "404-14": "IDEA, Punjab",
    "404-15": "Vodafone IN, Uttar Pradesh (East)",
    "404-17": "AIRCEL, West Bengal",
    "404-19": "IDEA, Kerala",
    "404-20": "Vodafone IN, Mumbai",
    "404-21": "Loop Mobile, Mumbai",
    "404-22": "IDEA, Maharashtra & Goa",
    "404-24": "IDEA, Gujarat",
    "404-27": "Vodafone IN, Maharashtra & Goa",
    "404-28": "AIRCEL, Orissa",
    "404-29": "AIRCEL, Assam",
    "404-30": "Vodafone IN, Kolkata",
    "404-31": "AirTel, Kolkata",
    "404-34": "CellOne, Haryana",
    "404-36": "Reliance, Bihar & Jharkhand",
    "404-37": "Aircel, Jammu & Kashmir",
    "404-38": "CellOne, Assam",
    "404-41": "Aircel, Chennai",
    "404-42": "Aircel, Tamil Nadu",
    "404-44": "IDEA, Karnataka",
    "404-45": "Airtel, Karnataka",
    "404-51": "CellOne, Himachal Pradesh",
    "404-52": "Reliance, Orissa",
    "404-53": "CellOne, Punjab",
    "404-54": "CellOne, Uttar Pradesh (West)",
    "404-55": "CellOne, Uttar Pradesh (East)",
    "404-56": "IDEA, Uttar Pradesh (West)",
    "404-57": "CellOne, Gujarat",
    "404-58": "CellOne, Madhya Pradesh & Chhattisgarh",
    "404-59": "CellOne, Rajasthan",
    "404-60": "Vodafone IN, Rajasthan",
    "404-62": "CellOne, Jammu & Kashmir",
    "404-64": "CellOne, Chennai",
    "404-66": "CellOne, Maharashtra & Goa",
    "404-67": "Reliance GSM, Madhya Pradesh & Chhattisgarh",
    "404-68": "DOLPHIN, Delhi & NCR",
    "404-69": "DOLPHIN, Mumbai",
    "404-72": "CellOne, Kerala",
    "404-74": "CellOne, West Bengal",
    "404-76": "CellOne, Orissa",
    "404-78": "Idea Cellular Ltd, Madhya Pradesh & Chattishgarh",
    "404-80": "BSNL MOBILE, Bharat Sanchar Nigam Limited",
    "404-81": "CellOne, Kolkata",
    "404-82": "Idea, Idea",
    "404-83": "Reliance Smart GSM, Kolkata",
    "404-84": "Vodafone IN, Chennai",
    "404-85": "Reliance, West Bengal",
    "404-86": "Vodafone IN, Vodafone Essar South",
    "404-90": "AirTel, Maharashtra & Goa",
    "404-91": "AIRCEL, Kolkata",
    "404-92": "AirTel, Mumbai",
    "404-93": "AirTel, Gujrat",
    "404-96": "AirTel, Haryana",
    "405-05": "Reliance, Delhi & NCR",
    "405-10": "Reliance, Karnataka",
    "405-13": "Reliance, Maharashtra & Goa",
    "405-025": "TATA DOCOMO, Andhra Pradesh",
    "405-026": "TATA DOCOMO, Assam",
    "405-027": "TATA DOCOMO, Bihar/Jharkhand",
    "405-029": "TATA DOCOMO, Tata Teleservices",
    "405-030": "TATA DOCOMO, Tata Teleservices",
    "405-031": "TATA DOCOMO, Tata Teleservices",
    "405-032": "TATA DOCOMO, Tata Teleservices",
    "405-034": "TATA DOCOMO, Tata Teleservices",
    "405-035": "TATA DOCOMO, Kerala",
    "405-036": "TATA DOCOMO, Kolkata",
    "405-037": "TATA DOCOMO, Maharashtra & Goa",
    "405-038": "TATA DOCOMO, [Madhya Pradesh]",
    "405-039": "TATA DOCOMO, Mumbai",
    "405-041": "TATA DOCOMO, Orissa",
    "405-042": "TATA DOCOMO, Tata Teleservices",
    "405-043": "TATA DOCOMO, Tata Teleservices",
    "405-044": "TATA DOCOMO, Tata Teleservices",
    "405-045": "TATA DOCOMO, Tata Teleservices",
    "405-046": "TATA DOCOMO, Tata Teleservices",
    "405-047": "TATA DOCOMO, Tata Teleservices",
    "405-51": "AirTel, West Bengal",
    "405-52": "AirTel, Bihar & Jharkhand",
    "405-54": "AirTel, Uttar Pradesh (East)",
    "405-56": "AirTel, Assam",
    "405-66": "Vodafone IN, Uttar Pradesh (West)",
    "405-70": "IDEA, Bihar & Jharkhand",
    "405-750": "Vodafone IN, Jammu & Kashmir",
    "405-751": "Vodafone IN, Assam",
    "405-752": "Vodafone IN, Bihar & Jharkhand",
    "405-753": "Vodafone IN, Orissa",
    "405-754": "Vodafone IN, Himachal Pradesh",
    "405-755": "Vodafone IN, North East",
    "405-756": "Vodafone IN, Madhya Pradesh & Chhattisgarh",
    "405-799": "IDEA, Mumbai",
    "405-800": "AIRCEL, Delhi & NCR",
    "405-801": "AIRCEL, Andhra Pradesh",
    "405-802": "AIRCEL, Gujarat",
    "405-803": "AIRCEL, Karnataka",
    "405-804": "AIRCEL, Maharashtra & Goa",
    "405-805": "AIRCEL, Mumbai",
    "405-806": "AIRCEL, Rajasthan",
    "405-807": "AIRCEL, Haryana",
    "405-808": "AIRCEL, Madhya Pradesh",
    "405-809": "AIRCEL, Kerala",
    "405-810": "AIRCEL, Uttar Pradesh (East)",
    "405-811": "AIRCEL, Uttar Pradesh (West)",
    "405-812": "AIRCEL, Punjab",
    "405-819": "Uninor, Andhra Pradesh",
    "405-818": "[Uninor], Uttar Pradesh (West)",
    "405-820": "Uninor, Karnataka",
    "405-821": "Uninor, Kerala",
    "405-822": "Uninor, Kolkata",
    "405-880": "Uninor, West Bengal",
    "405-824": "Videocon Datacom, Assam",
    "405-834": "Videocon Datacom, Madhya Pradesh",
    "405-844": "Uninor, Delhi & NCR",
    "405-845": "IDEA, Assam",
    "405-848": "IDEA, Kolkata",
    "405-850": "IDEA, Orissa",
    "405-855": "Loop Mobile, Assam",
    "405-864": "Loop Mobile, Kolkata",
    "405-865": "Loop Mobile, Madhya Pradesh",
    "405-875": "Uninor, Assam",
    "405-881": "S Tel, Assam",
    "405-912": "Etisalat DB, Andhra Pradesh",
    "405-913": "Etisalat DB, Delhi & NCR",
    "405-917": "Etisalat DB, Kerala",
    "510-00": "PSN, PT Pasifik Satelit Nusantara (ACeS)",
    "510-01": "INDOSAT, PT Indonesian Satellite Corporation Tbk (INDOSAT)",
    "510-03": "StarOne, PT Indosat Tbk",
    "510-07": "TelkomFlexi, PT Telkom",
    "510-08": "AXIS, PT Natrindo Telepon Seluler",
    "510-09": "SMART, PT Smart Telecom",
    "510-10": "Telkomsel, PT Telekomunikasi Selular",
    "510-11": "XL, PT XL Axiata Tbk",
    "510-20": "TELKOMMobile, PT Telkom Indonesia Tbk",
    "510-21": "IM3, PT Indonesian Satellite Corporation Tbk (INDOSAT)",
    "510-27": "Ceria, PT Sampoerna Telekomunikasi Indonesia",
    "510-28": "Fren/Hepi, PT Mobile-8 Telecom",
    "510-89": "3, PT Hutchison CP Telecommunications",
    "510-99": "Esia, PT Bakrie Telecom",
    "432-11": "MCI, Mobile Communications Company of Iran",
    "432-14": "TKC, KFZO",
    "432-19": "MTCE, Mobile Telecommunications Company of Esfahan",
    "432-32": "Taliya",
    "432-35": "Irancell, Irancell Telecommunications Services Company",
    "418-20": "Zain IQ, Zain Iraq",
    "418-30": "Zain IQ, Zain Iraq",
    "418-05": "Asia Cell, Asia Cell Telecommunications Company",
    "418-40": "Korek, Korek Telecom Ltd",
    "418-08": "SanaTel",
    "272-01": "Vodafone, Vodafone Ireland",
    "272-02": "O2, O2 Ireland",
    "272-03": "Meteor, Meteor Mobile Communications",
    "272-04": "Access Telecom",
    "272-05": "3, Hutchison 3G Ireland limited",
    "272-07": "Eircom, Eircom Mobile",
    "272-09": "Clever Communications",
    "234-58": "Pronto GSM, Manx Telecom",
    "425-01": "Orange, Partner Communications Company Ltd",
    "425-02": "Cellcom",
    "425-03": "Pelephone",
    "425-77": "Mirs",
    "222-01": "TIM, Telecom Italia SpA",
    "222-02": "Elsacom",
    "222-10": "Vodafone, Vodafone Omnitel N.V.",
    "222-30": "RFI, Rete Ferroviaria Italiana",
    "222-77": "IPSE 2000",
    "222-88": "Wind, Wind Telecomunicazioni SpA",
    "222-98": "Blu",
    "222-99": "3 Italia, Hutchison 3G",
    "612-01": "Cora de Comstar",
    "612-02": "Moov",
    "612-03": "Orange",
    "612-04": "KoZ, Comium Ivory Coast Inc",
    "612-05": "MTN",
    "612-06": "ORICEL, ORICEL",
    "338-020": "LIME (formerly known as Cable & Wireless), Cable & Wireless",
    "338-050": "Digicel, Digicel (Jamaica) Limited",
    "338-070": "Claro, Oceanic Digital Jamaica Limited",
    "338-180": "LIME (formerly known as Cable & Wireless), Cable & Wireless",
    "440-00": "eMobile, EMOBILE Limited",
    "440-01": "NTT docomo, NTT docomo",
    "440-02": "NTT docomo, NTT DoCoMo Kansai",
    "440-03": "NTT docomo, NTT DoCoMo Hokuriku",
    "440-04": "SoftBank, SoftBank Mobile Corp",
    "440-06": "SoftBank, SoftBank Mobile Corp",
    "440-07": "KDDI, KDDI Corporation",
    "440-08": "KDDI, KDDI Corporation",
    "440-09": "NTT docomo, NTT DoCoMo Kansai",
    "440-10": "NTT docomo, NTT DoCoMo Kansai",
    "440-11": "NTT docomo, NTT DoCoMo Tokai",
    "440-12": "NTT docomo, NTT DoCoMo",
    "440-13": "NTT docomo, NTT DoCoMo",
    "440-14": "NTT docomo, NTT DoCoMo Tohoku",
    "440-15": "NTT docomo, NTT DoCoMo",
    "440-16": "NTT docomo, NTT DoCoMo",
    "440-17": "NTT docomo, NTT DoCoMo",
    "440-18": "NTT docomo, NTT DoCoMo Tokai",
    "440-19": "NTT docomo, NTT DoCoMo Hokkaido",
    "440-20": "SoftBank, SoftBank Mobile Corp",
    "440-21": "NTT docomo, NTT DoCoMo",
    "440-22": "NTT docomo, NTT DoCoMo Kansai",
    "440-23": "DoCoMo, NTT DoCoMo Tokai",
    "440-24": "DoCoMo, NTT DoCoMo Chugoku",
    "440-25": "DoCoMo, NTT DoCoMo Hokkaido",
    "440-26": "DoCoMo, NTT DoCoMo Kyushu",
    "440-27": "DoCoMo, NTT DoCoMoTohoku",
    "440-28": "DoCoMo, NTT DoCoMo Shikoku",
    "440-29": "DoCoMo, NTT DoCoMo",
    "440-30": "DoCoMo, NTT DoCoMo",
    "440-31": "DoCoMo, NTT DoCoMo Kansai",
    "440-32": "DoCoMo, NTT DoCoMo",
    "440-33": "DoCoMo, NTT DoCoMo Tokai",
    "440-34": "DoCoMo, NTT DoCoMo Kyushu",
    "440-35": "DoCoMo, NTT DoCoMo Kansai",
    "440-36": "DoCoMo, NTT DoCoMo",
    "440-37": "DoCoMo, NTT DoCoMo",
    "440-38": "DoCoMo, NTT DoCoMo",
    "440-39": "DoCoMo, NTT DoCoMo",
    "440-40": "SoftBank, SoftBank Mobile Corp",
    "440-41": "SoftBank, SoftBank Mobile Corp",
    "440-42": "SoftBank, SoftBank Mobile Corp",
    "440-43": "SoftBank, SoftBank Mobile Corp",
    "440-44": "SoftBank, SoftBank Mobile Corp",
    "440-45": "SoftBank, SoftBank Mobile Corp",
    "440-46": "SoftBank, SoftBank Mobile Corp",
    "440-47": "SoftBank, SoftBank Mobile Corp",
    "440-48": "SoftBank, SoftBank Mobile Corp",
    "440-49": "DoCoMo, NTT DoCoMo",
    "440-50": "KDDI, KDDI Corporation",
    "440-51": "KDDI, KDDI Corporation",
    "440-52": "KDDI, KDDI Corporation",
    "440-53": "KDDI, KDDI Corporation",
    "440-54": "KDDI, KDDI Corporation",
    "440-55": "KDDI, KDDI Corporation",
    "440-56": "KDDI, KDDI Corporation",
    "440-58": "DoCoMo, NTT DoCoMo Kansai",
    "440-60": "DoCoMo, NTT DoCoMo Kansai",
    "440-61": "DoCoMo, NTT DoCoMo Chugoku",
    "440-62": "DoCoMo, NTT DoCoMo Kyushu",
    "440-63": "DoCoMo, NTT DoCoMo",
    "440-64": "DoCoMo, NTT DoCoMo",
    "440-65": "DoCoMo, NTT DoCoMo Shikoku",
    "440-66": "DoCoMo, NTT DoCoMo",
    "440-67": "DoCoMo, NTT DoCoMo Tohoku",
    "440-68": "DoCoMo, NTT DoCoMo Kyushu",
    "440-69": "DoCoMo, NTT DoCoMo",
    "440-70": "au, KDDI Corporation",
    "440-71": "KDDI, KDDI Corporation",
    "440-72": "KDDI, KDDI Corporation",
    "440-73": "KDDI, KDDI Corporation",
    "440-74": "KDDI, KDDI Corporation",
    "440-75": "KDDI, KDDI Corporation",
    "440-76": "KDDI, KDDI Corporation",
    "440-77": "KDDI, KDDI Corporation",
    "440-78": "Okinawa Cellular Telephone",
    "440-79": "KDDI, KDDI Corporation",
    "440-80": "TU-KA, TU-KA Cellular Tokyo",
    "440-81": "TU-KA, TU-KA Cellular Tokyo",
    "440-82": "TU-KA, TU-KA Phone Kansai",
    "440-83": "TU-KA, TU-KA Cellular Tokai",
    "440-84": "TU-KA, TU-KA Phone Kansai",
    "440-85": "TU-KA, TU-KA Cellular Tokai",
    "440-86": "TU-KA, TU-KA Cellular Tokyo",
    "440-87": "DoCoMo, NTT DoCoMo Chugoku",
    "440-88": "KDDI, KDDI Corporation",
    "440-89": "KDDI, KDDI Corporation",
    "440-90": "SoftBank, SoftBank Mobile Corp",
    "440-92": "SoftBank, SoftBank Mobile Corp",
    "440-93": "SoftBank, SoftBank Mobile Corp",
    "440-94": "SoftBank, SoftBank Mobile Corp",
    "440-95": "SoftBank, SoftBank Mobile Corp",
    "440-96": "SoftBank, SoftBank Mobile Corp",
    "440-97": "SoftBank, SoftBank Mobile Corp",
    "440-98": "SoftBank, SoftBank Mobile Corp",
    "440-99": "DoCoMo, NTT DoCoMo",
    "234-50": "JT-Wave, Jersey Telecom (JT-Wave)",
    "234-55": "Sure Mobile, Cable & Wireless Jersey Limited",
    "234-03": "Airtel Vodafone, JERSEY AIRTEL LIMITED",
    "416-01": "zain JO, Jordan Mobile Telephone Services",
    "416-02": "XPress Telecom",
    "416-03": "Umniah",
    "416-77": "Orange, Petra Jordanian Mobile Telecommunications Company (MobileCom)",
    "401-01": "Beeline, KaR-Tel LLP",
    "401-02": "Kcell, GSM Kazakhstan Ltd",
    "401-07": "Dalacom",
    "401-77": "Mobile Telecom Service, Mobile Telecom Service LLP",
    "639-02": "Safaricom, Safaricom Limited",
    "639-03": "Zain, Celtel Kenya Limited",
    "639-07": "Orange Kenya, Telkom Kenya",
    "639-05": "yu, Econet Wireless Kenya",
    "545-09": "Kiribati Frigate, Telecom Services Kiribati Ltd",
    "467-193": "SUN NET, Korea Posts and Telecommunications Corporation",
    "450-02": "KT, KT",
    "450-03": "Power 017, Shinsegi Telecom, Inc.",
    "450-04": "KT, KT",
    "450-05": "SKT, SK Telecom",
    "450-06": "LGT, LG Telecom",
    "450-08": "KT SHOW, KT",
    "212-01": "Vala, PTK - Directory of Post of Kosovo",
    "293-41": "iPKO, iPKO",
    "293-41": "D3 Mobile, Dukagjini",
    "212-01": "Z Mobile, Dardaphone",
    "419-02": "zain KW, Zain Kuwait",
    "419-03": "Wataniya, National Mobile Telecommunications",
    "419-04": "Viva, Kuwait Telecommunication Company",
    "437-01": "Beeline, Sky Mobile LLC",
    "437-05": "MegaCom, BiMoCom Ltd",
    "437-09": "O!, NurTelecom LLC",
    "457-01": "LaoTel, Lao Shinawatra Telecom",
    "457-02": "ETL, Enterprise of Telecommunications Lao",
    "457-03": "LAT, Lao Asia Telecommunication State Enterprise (LAT)",
    "457-08": "Tigo, Millicom Lao Co Ltd",
    "247-01": "LMT, Latvian Mobile Telephone",
    "247-02": "Tele2, Tele2",
    "247-03": "TRIATEL, Telekom Baltija",
    "247-05": "Bite, Bite Latvija",
    "247-06": "Rigatta",
    "247-07": "MTS, Master Telecom",
    "247-08": "IZZI, IZZI",
    "247-09": "Camel Mobile, Camel Mobile",
    "415-01": "Alfa, MIC 1",
    "415-03": "MTC-Touch, MIC 2",
    "651-01": "Vodacom, Vodacom Lesotho (Pty) Ltd",
    "651-02": "Econet Ezin-cel",
    "618-01": "Lonestar Cell, Lonestar Communications Corporation",
    "618-04": "Comium, Comium Liberia",
    "618-20": "LIBTELCO, Liberia Telecommunications Corporation",
    "606-00": "Libyana",
    "606-01": "Madar, Al Madar",
    "295-01": "Swisscom, Swisscom Schweiz AG",
    "295-02": "Orange, Orange Liechtenstein AG",
    "295-05": "FL1, Mobilkom Liechtenstein AG",
    "295-77": "Tele 2, Belgacom",
    "246-01": "Omnitel",
    "246-02": "BITE, UAB Bité Lietuva",
    "246-03": "Tele 2",
    "270-01": "LuxGSM, P&T Luxembourg",
    "270-77": "Tango, Tango SA",
    "270-99": "Orange, Orange S.A.",
    "455-00": "SmarTone, SmarTone Macao",
    "455-01": "CTM, C.T.M. Telemovel+",
    "455-02": "China Telecom, China Telecom",
    "455-03": "3, Hutchison Telecom",
    "455-04": "CTM, C.T.M. Telemovel+",
    "455-05": "3, Hutchison Telecom",
    "294-01": "T-Mobile MK, T-Mobile Macedonia",
    "294-02": "ONE, One",
    "294-03": "Vip MK, VIP Operator",
    "646-01": "Zain, Celtel",
    "646-02": "Orange, Orange Madagascar S.A.",
    "646-03": "Sacel, Sacel Madagascar S.A.",
    "646-04": "Telma, Telma Mobile S.A.",
    "650-01": "TNM, Telecom Network Malawi",
    "650-10": "Zain, Celtel Limited",
    "502-12": "Maxis, Maxis Communications Berhad",
    "502-13": "Celcom, Celcom Malaysia Sdn Bhd",
    "502-16": "DiGi, DiGi Telecommunications",
    "502-17": "Maxis, Maxis Communications Berhad",
    "502-18": "U Mobile, U Mobile Sdn Bhd",
    "502-19": "Celcom, Celcom Malaysia Sdn Bhd",
    "472-01": "Dhiraagu, Dhivehi Raajjeyge Gulhun",
    "472-02": "Wataniya, Wataniya Telecom Maldives",
    "610-01": "Malitel, Malitel SA",
    "610-02": "Orange, Orange Mali SA",
    "278-01": "Vodafone, Vodafone Malta",
    "278-21": "GO, Mobisle Communications Limited",
    "278-77": "Melita, Melita Plc",
    "340-01": "Orange, Orange Caraïbe Mobiles",
    "340-02": "Outremer, Outremer Telecom",
    "340-20": "Digicel, DIGICEL Antilles Française Guyane",
    "609-01": "Mattel, Mattel",
    "609-10": "Mauritel, Mauritel Mobiles",
    "617-01": "Orange, Cellplus Mobile Communications Ltd.",
    "617-02": "MTML, Mahanagar Telephone (Mauritius) Ltd.",
    "617-10": "Emtel, Emtel Ltd",
    "334-01": "Nextel, Nextel México",
    "334-02": "Telcel, América Móvil",
    "334-03": "movistar, Pegaso Comunicaciones y Sistemas",
    "334-04": "Iusacell / Unefon, Iusacell / Unefon",
    "550-01": "FSM Telecom",
    "259-01": "Orange, Orange Moldova",
    "259-02": "Moldcell",
    "259-03": "IDC, Interdnestrcom",
    "259-03": "Unité, Moldtelecom",
    "259-04": "Eventis, Eventis Telecom",
    "259-05": "Unité, Moldtelecom",
    "212-01": "Office des Telephones, Monaco Telecom",
    "428-99": "MobiCom, Mobicom Corporation",
    "428-88": "Unitel, Unitel LLC",
    "428-91": "Skytel, Skytel LLC",
    "428-98": "G.Mobile, G-Mobile LLC",
    "297-01": "Telenor, Telenor Montenegro",
    "297-02": "T-Mobile, T-Mobile Montenegro LLC",
    "297-03": "m:tel CG, MTEL CG",
    "604-00": "Méditel, Medi Telecom",
    "604-01": "IAM, Ittissalat Al Maghrib (Maroc Telecom)",
    "604-02": "INWI, WANA - Groupe ONA",
    "605-03": "yassine, yassine- Groupe yassine",
    "643-01": "mCel, Mocambique Celular S.A.R.L",
    "643-04": "Vodacom, Vodacom Mozambique, S.A.R.L.",
    "414-01": "MPT, Myanmar Post and Telecommunication",
    "649-01": "MTC, MTC Namibia",
    "649-02": "switch, Telecom Namibia",
    "649-03": "Leo, Orascom Telecom Holding",
    "429-01": "Namaste / NT Mobile, Nepal Telecom",
    "429-02": "Ncell, Spice Nepal Pvt. Ltd.",
    "429-03": "Sky/C-Phone, Nepal Telecom",
    "204-01": "OneFoon",
    "204-02": "Tele2, Tele2 Netherlands",
    "204-03": "Blyk, Blyk Netherlands",
    "204-04": "Vodafone, Vodafone Netherlands",
    "204-05": "Elephant Talk",
    "204-06": "Barablu Mobile",
    "204-07": "Teleena",
    "204-08": "KPN, KPN",
    "204-09": "Lycamobile",
    "204-10": "KPN, KPN",
    "204-12": "Telfort, KPN",
    "204-14": "6Gmobile, 6Gmobile",
    "204-16": "T-Mobile, T-Mobile Netherlands B.V",
    "204-18": "Telfort, KPN",
    "204-20": "Orange Nederland, T-Mobile Netherlands B.V",
    "204-21": "NS Railinfrabeheer B.V.",
    "204-67": "RadioAccess",
    "204-69": "KPN Mobile",
    "362-51": "Telcell, Telcell N.V.",
    "362-69": "Digicel, Curaçao Telecom N.V.",
    "362-91": "UTS, Setel N.V.",
    "362-95": "MIO, E.O.C.G. Wireless",
    "362-94": "Bayòs, Bòbò Frus N.V.",
    "546-01": "Mobilis, OPT New Caledonia",
    "530-00": "Telecom, Telecom New Zealand",
    "530-01": "Vodafone, Vodafone New Zealand",
    "530-02": "Telecom, Telecom New Zealand",
    "530-03": "Woosh, Woosh Wireless New Zealand",
    "530-04": "TelstraClear, TelstraClear New Zealand",
    "530-05": "XT Mobile Network, Telecom New Zealand",
    "530-24": "2degrees, 2degrees",
    "710-21": "Claro, Empresa Nicaragüense de Telecomunicaciones, S.A.",
    "710-30": "movistar, Telefónica Móviles de Nicaragua S.A.",
    "710-73": "SERCOM, Servicios de Comunicaciones S.A.",
    "614-01": "SahelCom",
    "614-02": "Zain, Celtel Niger",
    "614-03": "Telecel, Telecel Niger SA",
    "614-04": "Orange, Orange Niger",
    "621-20": "Zain, Vee Network Nigeria Ltd.",
    "621-30": "MTN, MTN Nigeria Communications Limited",
    "621-40": "M-Tel, Nigerian Mobile Telecommunications Limited",
    "621-50": "Glo, Globacom Ltd",
    "621-60": "Etisalat, Emerging Markets Telecommunication Services Ltd (Etisalat)",
    "242-01": "Telenor",
    "242-02": "NetCom, NetCom GSM",
    "242-03": "Teletopia",
    "242-04": "Tele2",
    "242-05": "Network Norway",
    "242-06": "Ice, Nordisk Mobiltelefon",
    "242-07": "Ventelo",
    "242-08": "TDC Mobil AS",
    "242-09": "Barablu Mobile Norway Ltd",
    "242-20": "Jernbaneverket AS",
    "422-02": "Oman Mobile, Oman Telecommunications Company",
    "422-03": "Nawras, Omani Qatari Telecommunications Company SAOC",
    "410-01": "Mobilink, Mobilink-PMCL",
    "410-03": "Ufone, Pakistan Telecommunication Mobile Ltd",
    "410-04": "Zong, China Mobile",
    "410-06": "Telenor, Telenor Pakistan",
    "410-07": "Warid, WaridTel",
    "552-01": "PNCC, Palau National Communications Corp.",
    "552-80": "Palau Mobile, Palau Mobile Corporation",
    "423-05": "Jawwal, Palestine Cellular Communications, Ltd.",
    "423-06": "Wataniya, Wataniya Palestine Mobile Telecommunications Company",
    "714-01": "Cable & Wireless, Cable & Wireless Panama S.A.",
    "714-02": "movistar, Telefonica Moviles Panama S.A",
    "714-04": "Digicel, Digicel Group",
    "714-03": "Claro, América Móvil",
    "537-01": "B-Mobile, Pacific Mobile Communications",
    "537-03": "Digicel, Digicel PNG",
    "744-01": "VOX, Hola Paraguay S.A",
    "744-02": "Claro, AMX Paraguay S.A.",
    "744-04": "Tigo, Telefonica Celular Del Paraguay S.A. (Telecel)",
    "744-05": "Personal, Núcleo S.A",
    "716-06": "movistar, Telefónica Móviles Perú",
    "716-10": "Claro, América Móvil Perú",
    "716-17": "NEXTEL, NII Holdings",
    "515-01": "Islacom, Globe Telecom via Innove Communications",
    "515-02": "Globe, Globe Telecom",
    "515-03": "Smart, PLDT via Smart Communications",
    "515-05": "Sun, Digital Telecommunications Philippines",
    "515-11": "PLDT via ACeS Philippines",
    "515-18": "Cure, PLDT via Smart's Connectivity Unlimited Resources Enterprise",
    "515-88": "Nextel",
    "260-01": "Plus, Polkomtel S.A.",
    "260-02": "Era, Polska Telefonia Cyfrowa Sp. z o.o.",
    "260-03": "Orange, Polska Telefonia Komórkowa Centertel Sp. z o.o.",
    "260-04": "Netia S.A.",
    "260-05": "Polska Telefonia Komórkowa Centertel Sp. z o.o.",
    "260-06": "Play, P4 Sp. z o.o.",
    "260-07": "Netia, Netia S.A.",
    "260-08": "E-Telko Sp. z o.o.",
    "260-09": "Telekomunikacja Kolejowa Sp. z o.o.",
    "260-10": "Sferia, Sferia S.A.",
    "260-11": "Nordisk Polska, Nordisk Polska Sp. z o.o.",
    "260-12": "Cyfrowy Polsat, Cyfrowy Polsat S.A.",
    "260-13": "Sferia, Sferia S.A.",
    "260-14": "Sferia, Sferia S.A.",
    "260-15": "CenterNet, CenterNet S.A.",
    "260-16": "Mobyland, Mobyland Sp. z o.o.",
    "260-17": "Aero2, Aero 2 Sp. z o.o.",
    "268-01": "Vodafone, Vodafone Portugal",
    "268-03": "Optimus, Sonaecom – Serviços de Comunicações, S.A.",
    "268-06": "TMN, Telecomunicações Móveis Nacionais",
    "268-21": "Zapp, Zapp Portugal",
    "330-11": "Claro, Puerto Rico Telephone Company",
    "427-01": "Qatarnet, Q-Tel",
    "427-02": "Vodafone Qatar, Vodafone Qatar Q.S.C.",
    "647-00": "Orange, Orange La Réunion",
    "647-02": "Outremer, Outremer Telecom",
    "647-10": "SFR Reunion, Societe Reunionnaise de Radiotelephone",
    "226-01": "Vodafone, Vodafone România",
    "226-02": "Romtelecom, Romtelecom",
    "226-03": "Cosmote, Cosmote România",
    "226-04": "Cosmote, Cosmote România",
    "226-05": "Digi.Mobil, RCS&RDS",
    "226-06": "Cosmote, Cosmote România",
    "226-10": "Orange, Orange România",
    "250-01": "MTS, Mobile TeleSystems",
    "250-02": "MegaFon, MegaFon OJSC",
    "250-03": "NCC, Nizhegorodskaya Cellular Communications",
    "250-04": "Sibchallenge, Sibchallenge",
    "250-05": "ETK, Yeniseytelecom",
    "250-06": "Skylink [104], CJSC Saratov System of Cellular Communications",
    "250-07": "SMARTS, Zao SMARTS",
    "250-09": "Skylink, Khabarovsky Cellular Phone",
    "250-10": "DTC, Dontelekom",
    "250-11": "Orensot",
    "250-12": "Baykalwestcom, Baykal Westcom / New Telephone Company / Far Eastern Cellular",
    "250-12": "Akos",
    "250-13": "KUGSM, Kuban GSM",
    "250-15": "SMARTS, SMARTS Ufa, SMARTS Uljanovsk",
    "250-16": "NTC, New Telephone Company",
    "250-17": "Utel, JSC Uralsvyazinform",
    "250-19": "INDIGO, INDIGO",
    "250-20": "Tele2, Tele2",
    "250-23": "Mobicom - Novosibirsk, Mobicom - Novosibirsk",
    "250-28": "Beeline, Beeline",
    "250-35": "MOTIV, MOTIV",
    "250-38": "Tambov GSM",
    "250-39": "Utel, Uralsvyazinform",
    "250-44": "Stavtelesot / North Caucasian GSM",
    "250-92": "Primtelefon",
    "250-93": "Telecom XXI",
    "250-99": "Beeline, OJSC VimpelCom",
    "635-10": "MTN, MTN Rwandacell SARL",
    "635-13": "Tigo, TIGO RWANDA S.A",
    "356-050": "Digicel",
    "356-110": "Cable & Wireless",
    "358-050": "Digicel",
    "358-110": "Cable & Wireless",
    "308-01": "Ameris, St. Pierre-et-Miquelon Télécom",
    "360-070": "Digicel",
    "360-100": "Cingular Wireless",
    "360-110": "Cable & Wireless, Cable & Wireless",
    "549-01": "Digicel, Digicel Pacific Ltd.",
    "549-27": "SamoaTel, SamoaTel Ltd",
    "292-01": "PRIMA, San Marino Telecom",
    "626-01": "CSTmovel, Companhia Santomese de Telecomunicaçôe",
    "420-01": "Al Jawal, Saudi Telecom Company",
    "420-03": "Mobily, Etihad Etisalat Company",
    "420-07": "EAE, Electronics App' Est.",
    "420-04": "Zain SA, Zain Saudi Arabia",
    "608-01": "Orange (telecommunications), Sonatel",
    "608-02": "Tigo, Millicom",
    "608-03": "Expresso, Sudatel",
    "220-01": "Telenor, Telenor Serbia",
    "220-03": "mt:s, Telekom Srbija",
    "220-05": "VIP, VIP Mobile",
    "633-01": "Cable & Wireless, Cable & Wireless Seychelles",
    "633-02": "Mediatech International, Mediatech International",
    "633-10": "Airtel, Telecom Airtel",
    "619-01": "Zain",
    "619-02": "Millicom",
    "619-03": "Datatel",
    "619-04": "Comium, Comium Sierra leone INC",
    "619-05": "Africell",
    "619-25": "Mobitel",
    "525-01": "SingTel, Singapore Telecom",
    "525-02": "SingTel-G18, Singapore Telecom",
    "525-03": "M1, MobileOne Asia",
    "525-05": "StarHub, StarHub Mobile",
    "525-12": "Digital Trunked Radio Network",
    "231-01": "Orange, Orange Slovensko",
    "231-02": "T-Mobile, T-Mobile Slovensko",
    "231-03": "Unient Communications",
    "231-04": "T-Mobile, T-Mobile Slovensko",
    "231-05": "Mobile Entertainment Company",
    "231-06": "O2, Telefónica O2 Slovakia",
    "231-99": "ŽSR",
    "293-40": "Si.mobil, SI.MOBIL d.d.",
    "293-41": "Mobitel, Mobitel D.D.",
    "293-64": "T-2, T-2 d.o.o.",
    "293-70": "Tušmobil, Tušmobil d.o.o.",
    "540-1": "BREEZE, Solomon Telekom Co Ltd",
    "637-01": "Telesom, Telesom",
    "637-04": "Somafone, Somafone FZLLC",
    "637-10": "Nationlink, NationLink Telecom",
    "637-25": "Hormuud, Hormuud Telecom Somalia Inc",
    "637-30": "Golis, Golis Telecom Somalia",
    "637-82": "Telcom, Telcom Somalia",
    "655-01": "Vodacom",
    "655-06": "Sentech",
    "655-07": "Cell C",
    "655-10": "MTN, MTN Group",
    "655-11": "SAPS Gauteng",
    "655-13": "Neotel",
    "655-21": "Cape Town Metropolitan Council",
    "655-30": "Bokamoso Consortium",
    "655-31": "Karabo Telecoms (Pty) Ltd.",
    "655-32": "Ilizwi Telecommunications",
    "655-33": "Thinta Thinta Telecommunications",
    "655-02": "Telkom",
    "214-01": "Vodafone, Vodafone Spain",
    "214-03": "Orange, France Telecom España SA",
    "214-04": "Yoigo, Xfera Moviles SA",
    "214-05": "TME, Telefónica Móviles España",
    "214-06": "Vodafone, Vodafone Spain",
    "214-07": "movistar, Telefónica Móviles España",
    "214-08": "Euskaltel",
    "214-09": "Orange, France Telecom España SA",
    "214-15": "BT, BT Group",
    "214-16": "TeleCable",
    "214-17": "Móbil R, R Cable y Telecomunicaciones",
    "214-18": "ONO",
    "214-19": "Simyo",
    "214-21": "Jazztel",
    "214-22": "DigiMobil, Best Spain Telecom",
    "214-23": "Barablu, BARABLU MÓVIL ESPAÑA",
    "413-01": "Mobitel, Sri Lanka Telecom Mobitel",
    "413-02": "Dialog, Dialog Telekom",
    "413-03": "Etisalat, Emirates Telecommunication Corporation",
    "413-05": "Airtel, Bharti Airtel",
    "413-08": "Hutch, Hutchison Telecommunications Lanka",
    "634-01": "Zain SD, Zain Group - Sudan",
    "634-02": "MTN, MTN Sudan",
    "634-05": "Vivacell, Wawat Securities",
    "746-05": "Telesur",
    "653-10": "Swazi MTN",
    "240-01": "Telia, SwedenTeliaSonera",
    "240-02": "3, Hutchison 3G",
    "240-03": "Ice.net, Nordisk Mobiltelefon",
    "240-04": "3G Infrastructure Services",
    "240-05": "Sweden 3G, Svenska UMTS-Nät",
    "240-06": "Telenor, Telenor Sweden",
    "240-07": "Tele2, Tele2 Sweden",
    "240-08": "Telenor, Telenor Sweden",
    "240-09": "djuice, Telenor Sweden",
    "240-10": "Spring Mobil, Tele2",
    "240-11": "Lindholmen Science Park",
    "240-12": "Barablu Mobile Scandinavia",
    "240-13": "Ventelo Sverige",
    "240-14": "TDC Mobil",
    "240-15": "Wireless Maingate Nordic",
    "240-16": "42IT",
    "240-17": "Götalandsnätet",
    "240-20": "Wireless Maingate Message Services",
    "240-21": "MobiSir, Banverket",
    "228-01": "Swisscom, Swisscom Ltd",
    "228-02": "Sunrise, Sunrise Communications AG",
    "228-03": "Orange, Orange Communications SA",
    "228-05": "Togewanet AG (Comfone)",
    "228-06": "SBB AG",
    "228-07": "IN&Phone, IN&Phone SA",
    "228-08": "Tele2, Tele2 Telecommunications AG",
    "228-50": "3G Mobile AG",
    "228-51": "BebbiCell AG",
    "417-01": "Syriatel",
    "417-02": "MTN, MTN Group Syria",
    "466-01": "FarEasTone, Far EasTone Telecommunications Co Ltd",
    "466-02": "APTG, Asia Pacific Telecom",
    "466-06": "Tuntex, Tuntex Telecom",
    "466-11": "Chunghwa LDM, LDTA/Chungwa Telecom",
    "466-88": "KG Telecom, KG Telecom",
    "466-89": "VIBO, VIBO Telecom",
    "466-92": "Chungwa, Chunghwa",
    "466-93": "MobiTai, Mobitai Communications",
    "466-97": "Taiwan Mobile, Taiwan Mobile Co. Ltd",
    "466-99": "TransAsia, TransAsia Telecoms",
    "436-01": "Tcell, JV Somoncom",
    "436-02": "Indigo, Indigo Tajikistan",
    "436-03": "MLT, TT Mobile",
    "436-04": "Babilon-M, Babilon-Mobile",
    "436-05": "Beeline, Vimpelcom",
    "640-06": "SasaTel, Sasatel Tanzania",
    "640-02": "tiGO, MIC Tanzania Limited",
    "640-03": "Zantel, Zanzibar Telecom Ltd",
    "640-04": "Vodacom, Vodacom Tanzania Limited",
    "640-05": "Zain, Celtel Tanzania Limited",
    "520-00": "Hutch, CAT Telecom",
    "520-01": "AIS, Advanced Info Service",
    "520-02": "CAT CDMA, CAT Telecom",
    "520-10": " ?, WCS IQ",
    "520-15": "Thai Mobile, ACT Mobile (TOT - CAT Telecom)",
    "520-15": "TOT 3G, Telephone Organization of Thailand (TOT)",
    "520-18": "dtac, Total Access Communication",
    "520-23": "AIS GSM 1800, Digital Phone (AIS)",
    "520-99": "True Move, True Corporation",
    "615-01": "Togo Cell, Togo Telecom",
    "615-03": "Moov, Moov Togo",
    "539-01": "Tonga Communications Corporation",
    "539-43": "Shoreline Communication",
    "539-88": "Digicel",
    "374-12": "bmobile, TSTT",
    "374-13": "Digicel",
    "605-01": "Orange, Orange Tunisie",
    "605-02": "Tunicell, Tunisie Telecom",
    "605-03": "Tunisiana, Orascom Telecom Tunisie",
    "286-01": "Turkcell, Turkcell Iletisim Hizmetleri A.S.",
    "286-02": "Vodafone, Vodafone Turkey",
    "286-03": "Avea",
    "286-04": "Aycell",
    "438-01": "MTS, Barash Communication Technologies",
    "438-02": "TM-Cell",
    "376-350": "C&W, Cable & Wireless West Indies Ltd (Turks & Caicos)",
    "376-352": "Islandcom, Islandcom Telecommunications",
    "338-05": "Digicel, Digicel (Turks & Caicos) Limited",
    "553-01": "TTC, Tuvalu Telecom",
    "641-01": "Zain, Celtel Cellular",
    "641-10": "MTN, MTN Uganda",
    "641-11": "Uganda Telecom Ltd.",
    "641-22": "Warid Telecom, Warid Telecom",
    "641-14": "Orange, Orange Uganda",
    "255-01": "MTS, Ukrainian Mobile Communications",
    "255-02": "Beeline, Ukrainian Radio Systems",
    "255-03": "Kyivstar, Kyivstar GSM JSC",
    "255-04": "IT, Intertelecom",
    "255-05": "Golden Telecom, Golden Telecom",
    "255-06": "life:), Astelit",
    "255-07": "Utel, Ukrtelecom",
    "255-21": "PEOPLEnet, Telesystems of Ukraine",
    "255-23": "CDMA Ukraine, ITC",
    "424-02": "Etisalat, E mirates Telecom Corp",
    "424-03": "du, Emirates Integrated Telecommunications Company",
    "234-00": "BT, BT Group",
    "234-01": "UK01, Mapesbury Communications Ltd.",
    "234-02": "O2, Telefónica O2 UK Limited",
    "234-03": "Airtel-Vodafone, Jersey Airtel Limited",
    "234-04": "FMS Solutions Ltd, FMS Solutions Ltd",
    "234-07": "Cable and Wireless UK",
    "234-08": "OnePhone Ltd",
    "234-10": "O2, Telefónica O2 UK Limited",
    "234-11": "O2, Telefónica Europe",
    "234-12": "Railtrack, Network Rail Infrastructure Ltd",
    "234-14": "Hay Systems Ltd, Hay Systems Ltd",
    "234-15": "Vodafone, Vodafone United Kingdom",
    "234-16": "Opal Telecom Ltd, Opal Telecom Ltd",
    "234-18": "Cloud9, Wire9 Telecom plc",
    "234-19": "Teleware, Teleware plc",
    "234-20": "3, Hutchison 3G UK Ltd",
    "234-22": "RoutoMessaging, Routo Telecom",
    "234-25": "Truphone, Software Cellular Network Ltd",
    "234-30": "T-Mobile",
    "234-31": "Virgin, Virgin Mobile",
    "234-32": "Virgin, Virgin Mobile",
    "234-33": "Orange, Orange UK",
    "234-34": "Orange, Orange UK",
    "234-50": "JT-Wave, Jersey Telecom",
    "234-55": "Cable & Wireless Guernsey / Sure Mobile (Jersey)",
    "234-58": "Manx Telecom",
    "234-75": "Inquam, Inquam Telecom (Holdings) Ltd",
    "234-77": "BT, BT Group",
    "200-053": "Virgin Mobile US",
    "200-054": "Alltel US",
    "200-066": "U.S. Cellular",
    "310-00": "nTelos",
    "310-000": "Mid-Tex Cellular",
    "310-004": "Verizon, Verizon Wireless",
    "310-010": "MCI",
    "310-012": "Verizon, Verizon Wireless",
    "310-013": "MobileTel",
    "310-014": "Testing",
    "310-016": "Cricket Communications",
    "310-017": "North Sight Communications Inc.",
    "310-020": "Union Telephone Company",
    "310-026": "T-Mobile",
    "310-030": "Centennial, Centennial Communications",
    "310-034": "Airpeak",
    "310-038": "AT&T, AT&T Mobility",
    "310-040": "Concho, Concho Cellular Telephone Co., Inc.",
    "310-046": "SIMMETRY, TMP Corp",
    "310-060": "Consolidated Telcom",
    "310-070": "Highland Cellular",
    "310-080": "Corr, Corr Wireless Communications LLC",
    "310-090": "AT&T, AT&T Mobility",
    "310-100": "Plateau Wireless, New Mexico RSA 4 East Ltd. Partnership",
    "310-110": "PTI Pacifica, PTI Pacifica Inc.",
    "310-120": "Sprint",
    "310-150": "AT&T, AT&T Mobility",
    "310-160": "T-Mobile",
    "310-170": "T-Mobile",
    "310-180": "West Central, West Central Wireless",
    "310-190": "Dutch Harbor, Alaska Wireless Communications, LLC",
    "310-200": "T-Mobile",
    "310-210": "T-Mobile",
    "310-220": "T-Mobile",
    "310-230": "T-Mobile",
    "310-240": "T-Mobile",
    "310-250": "T-Mobile",
    "310-260": "T-Mobile",
    "310-270": "T-Mobile",
    "310-280": "T-Mobile",
    "310-290": "T-Mobile",
    "310-300": "iSmart Mobile, Smart Call",
    "310-310": "T-Mobile",
    "310-311": "Farmers Wireless",
    "310-320": "Cellular One, Smith Bagley, Inc.",
    "310-330": "T-Mobile",
    "310-340": "Westlink, Westlink Communications",
    "310-350": "Carolina Phone",
    "310-380": "AT&T Mobility",
    "310-390": "Cellular One of East Texas, TX-11 Acquisition, LLC",
    "310-400": "i CAN_GSM, Wave Runner LLC (Guam)",
    "310-410": "AT&T, AT&T Mobility",
    "310-420": "Cincinnati Bell, Cincinnati Bell Wireless",
    "310-430": "Alaska Digitel",
    "310-440": "Cellular One",
    "310-450": "Viaero, Viaero Wireless",
    "310-460": "Simmetry, TMP Corporation",
    "310-480": "Choice Phone",
    "310-490": "T-Mobile",
    "310-500": "Alltel",
    "310-510": "Airtel, Airtel Wireless",
    "310-520": "VeriSign",
    "310-530": "West Virginia Wireless",
    "310-540": "Oklahoma Western, Oklahoma Western Telephone Company",
    "310-560": "AT&T, AT&T Mobility",
    "310-570": "Cellular One, MTPCS, LLC",
    "310-580": "T-Mobile",
    "310-590": "Alltel, Alltel Communications Inc",
    "310-610": "Epic Touch, Elkhart Telephone Co.",
    "310-620": "Coleman County Telecom, Coleman County Telecommunications",
    "310-630": "AmeriLink PCS, Choice Wireless",
    "310-640": "Airadigm, Airadigm Communications",
    "310-650": "Jasper, Jasper Wireless, inc",
    "310-660": "T-Mobile",
    "310-670": "Northstar",
    "310-680": "AT&T, AT&T Mobility",
    "310-690": "Conestoga, Conestoga Wireless Company",
    "310-730": "SeaMobile",
    "310-740": "Convey, Convey Communications Inc.",
    "310-760": "Panhandle, Panhandle Telecommunications Systems Inc.",
    "310-770": "i wireless, Iowa Wireless Services",
    "310-780": "Airlink PCS",
    "310-790": "PinPoint, PinPoint Communications",
    "310-800": "T-Mobile",
    "310-830": "Caprock, Caprock Cellular",
    "310-850": "Aeris, Aeris Communications, Inc.",
    "310-870": "PACE, Kaplan Telephone Company",
    "310-880": "Advantage, Advantage Cellular Systems",
    "310-890": "Unicel, Rural Cellular Corporation",
    "310-900": "Mid-Rivers Wireless, Mid-Rivers Communications",
    "310-910": "First Cellular, First Cellular of Southern Illinois",
    "310-940": "Iris Wireless LLC",
    "310-950": "XIT Wireless, Texas RSA 1 dba XIT Cellular",
    "310-960": "Plateau Wireless",
    "310-970": "Globalstar",
    "310-980": "AT&T Mobility",
    "310-990": "AT&T Mobility",
    "311-000": "Mid-Tex Cellular",
    "311-010": "Chariton Valley, Chariton Valley Communications",
    "311-020": "Missouri RSA 5 Partnership",
    "311-030": "Indigo Wireless",
    "311-040": "Commnet Wireless",
    "311-050": "Wikes Cellular",
    "311-060": "Farmers Cellular, Farmers Cellular Telephone",
    "311-070": "Easterbrooke, Easterbrooke Cellular Corporation",
    "311-080": "Pine Cellular, Pine Telephone Company",
    "311-090": "Long Lines Wireless, Long Lines Wireless LLC",
    "311-100": "High Plains Wireless",
    "311-110": "High Plains Wireless",
    "311-120": "Choice Phone",
    "311-130": "Cell One Amarillo",
    "311-140": "Sprocket, MBO Wireless",
    "311-150": "Wilkes Cellular",
    "311-160": "Endless Mountains Wireless",
    "311-170": "PetroCom, Broadpoint Inc",
    "311-180": "Cingular Wireless",
    "311-190": "Cellular Properties",
    "311-210": "Farmers Cellular, Farmers Cellular Telephone",
    "316-010": "Nextel, Nextel Communications",
    "316-011": "Southern Communications Services",
    "748-00": "Ancel, Compania estatal (ANTEL)",
    "748-01": "Ancel, Compania estatal (ANTEL)",
    "748-07": "Movistar, Telefónica Móviles Uruguay",
    "748-10": "Claro, AM Wireless Uruguay S.A.",
    "434-01": "Buztel",
    "434-02": "Uzmacom",
    "434-04": "Beeline, Unitel LLC",
    "434-05": "Ucell, Coscom",
    "434-06": "Perfectum Mobile",
    "434-07": "MTS, Uzdunrobita",
    "541-01": "SMILE, Telecom Vanuatu Ltd",
    "734-01": "Digitel, Corporacion Digitel C.A.",
    "734-02": "Digitel, Corporacion Digitel C.A.",
    "734-03": "Digitel, Corporacion Digitel C.A.",
    "734-04": "movistar, Telefónica Móviles Venezuela",
    "734-06": "Movilnet, Telecomunicaciones Movilnet",
    "452-01": "MobiFone, Vietnam Mobile Telecom Services Company (VMS)",
    "452-02": "Vinaphone, Vietnam Telecom Services Company",
    "452-03": "S-Fone, S-Telecom",
    "452-04": "Viettel Mobile, Viettel Telecom",
    "452-05": "Vietnamobile, Hanoi Telecom",
    "452-06": "E-Mobile, EVN Telecom",
    "452-07": "Beeline VN, GTEL Mobile JSC",
    "421-01": "SabaFon",
    "421-02": "MTN, SpaceTel",
    "421-03": "Yemen Mobile, Yemen Mobile",
    "421-04": "HiTS-UNITEL, Y",
    "645-01": "Zain",
    "645-02": "MTN",
    "645-03": "ZAMTEL",
    "648-01": "Net*One, Net*One Cellular (Pvt) Ltd",
    "648-03": "Telecel, Telecel Zimbabwe (PVT) Ltd",
    "648-04": "Econet, Econet Wireless (Private) Limited",
    "901-01": "ICO, ICO Satellite Management",
    "901-02": "Sense Communications International",
    "901-03": "Iridium",
    "901-04": "Globalstar",
    "901-05": "Thuraya RMSS Network",
    "901-06": "Thuraya Satellite Telecommunications Company",
    "901-07": "Ellipso",
    "901-08": "",
    "901-09": "Tele1 Europe",
    "901-10": "ACeS",
    "901-11": "Inmarsat",
    "901-12": "MCP, Maritime Communications Partner AS",
    "901-13": "GSM.AQ, Global Networks Switzerland Inc.",
    "901-14": "AeroMobile AS",
    "901-15": "OnAir Switzerland Sarl",
    "901-16": "Jasper Systems",
    "901-17": "Navitas",
    "901-18": "Cellular @Sea, AT&T Mobility",
    "901-19": "Vodafone Malta Maritime",
    "901-21": "Seanet, Seanet Maritime Communications",
    "901-24": "iNum, Voxbone",
    "901-29": "Telenor"
}
